<?php
/**
 * Shopware 5
 * Copyright (c) shopware AG
 *
 * According to our dual licensing model, this program can be used either
 * under the terms of the GNU Affero General Public License, version 3,
 * or under a proprietary license.
 *
 * The texts of the GNU Affero General Public License with an additional
 * permission and of our proprietary license can be found at and
 * in the LICENSE file you have received along with this program.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU Affero General Public License for more details.
 *
 * "Shopware" is a registered trademark of shopware AG.
 * The licensing of the program under the AGPLv3 does not imply a
 * trademark license. Therefore any rights, title and interest in
 * our trademarks remain entirely with us.
 */

/**
 * @category  Shopware
 * @package   Shopware\Tests
 * @copyright Copyright (c) 2012, shopware AG (http://www.shopware.de)
 */
class Shopware_Tests_Modules_Articles_sGetArticleByIdTest extends Enlight_Components_Test_Plugin_TestCase
{
    protected $articles = array(
        2 => array(
            'articleID' => '2',
            'articleDetailsID' => '125',
            'ordernumber' => 'SW10002.3',
            'datum' => '2012-08-15',
            'additionaltext' => '0,5 Liter',
            'shippingtime' => '',
            'shippingfree' => false,
            'instock' => '15',
            'minpurchase' => 1,
            'notification' => '0',
            'purchasesteps' => 1,
            'maxpurchase' => '100',
            'purchaseunit' => 0.5,
            'referenceunit' => 1,
            'packunit' => 'Flasche(n)',
            'suppliernumber' => '',
            'ean' => '',
            'weight' => '0.000',
            'laststock' => '0',
            'unitID' => '1',
            'template' => '',
            'pricegroupID' => '1',
            'pricegroupActive' => '0',
            'mode' => '0',
            'taxID' => '1',
            'description' => '',
            'keywords' => '',
            'supplierName' => 'Feinbrennerei Sasse',
            'supplierImg' => 'media/image/sasse.png',
            'supplierID' => '2',
            'supplierDescription' => '',
            'articleName' => 'Münsterländer Lagerkorn 32%',
            'price' => '19,99',
            'sales' => '0',
            'pseudoprice' => '0',
            'pricegroup' => 'EK',
            'tax' => '19.00',
            'attr1' => '',
            'attr2' => '',
            'attr3' => '',
            'attr4' => '',
            'attr5' => '',
            'attr6' => '',
            'attr7' => '',
            'attr8' => '',
            'attr9' => '',
            'attr10' => '',
            'attr11' => '',
            'attr12' => '',
            'attr13' => '',
            'attr14' => '',
            'attr15' => '',
            'attr16' => '',
            'attr17' => null,
            'attr18' => '',
            'attr19' => '',
            'attr20' => '',
            'filtergroupID' => '1',
            'crossbundlelook' => false,
            'sUpcoming' => '0',
            'sReleasedate' => '',
            'sLinks' => array(
                0 => array(
                    'id' => '3',
                    'description' => 'Feinbrennerei Sasse',
                    'link' => 'http://www.sassekorn.de',
                    'target' => '',
                    'supplierSearch' => false,
                ),
                1 => array(
                    'supplierSearch' => true,
                    'description' => 'Feinbrennerei Sasse',
                    'link' => 'shopware.php?sViewport=search&sSearch=2&sSearchMode=supplier&sSearchText=Feinbrennerei+Sasse',
                    'target' => '_parent',
                ),
            ),
            'sRelatedArticles' => array(),
            'sSimilarArticles' => array(
                0 => array(
                    'articleID' => '4',
                    'articleDetailsID' => '4',
                    'ordernumber' => 'SW10004',
                    'datum' => '2012-06-13',
                    'sales' => '0',
                    'highlight' => '1',
                    'description' => 'Fas Proinde quandoquidem sol Iubeo quasi imago C',
                    'supplierName' => 'Feinbrennerei Sasse',
                    'supplierImg' => 'media/image/sasse.png',
                    'articleName' => 'Latte Macchiato 17%',
                    'taxID' => '1',
                    'price' => '7,99',
                    'pseudoprice' => '0',
                    'tax' => '19.00',
                    'attr1' => '',
                    'attr2' => '',
                    'attr3' => '',
                    'attr4' => '',
                    'attr5' => '',
                    'attr6' => '',
                    'attr7' => '',
                    'attr8' => '',
                    'attr9' => '',
                    'attr10' => '',
                    'attr11' => '',
                    'attr12' => '',
                    'attr13' => '',
                    'attr14' => '',
                    'attr15' => '',
                    'attr16' => '',
                    'attr17' => null,
                    'attr18' => '',
                    'attr19' => '',
                    'attr20' => '',
                    'instock' => '5',
                    'weight' => '0.000',
                    'shippingtime' => '10',
                    'pricegroup' => 'EK',
                    'pricegroupID' => null,
                    'pricegroupActive' => '0',
                    'filtergroupID' => '1',
                    'purchaseunit' => 0.7,
                    'referenceunit' => 1,
                    'unitID' => '1',
                    'laststock' => '0',
                    'additionaltext' => '',
                    'sConfigurator' => '0',
                    'esd' => '0',
                    'sVoteAverage' => array('average' => 0, 'count' => 0,),
                    'newArticle' => '0',
                    'topseller' => '0',
                    'sUpcoming' => '0',
                    'sReleasedate' => '',
                    'sVariantArticle' => null,
                    'sReleaseDate' => '',
                    'sProperties' => array(
                        7 => array(
                            'id' => '7',
                            'optionID' => '7',
                            'name' => 'Trinktemperatur',
                            'groupID' => '1',
                            'groupName' => 'Edelbrände',
                            'value' => 'Gekühlt',
                            'valueID' => '35',
                            'nameTranslation' => null,
                            'groupNameTranslation' => null,
                            'valueTranslation' => null,
                            'values' => array(0 => 'Gekühlt',),
                        ),
                        6 => array(
                            'id' => '6',
                            'optionID' => '6',
                            'name' => 'Geschmack',
                            'groupID' => '1',
                            'groupName' => 'Edelbrände',
                            'value' => 'mild',
                            'valueID' => '33',
                            'nameTranslation' => null,
                            'groupNameTranslation' => null,
                            'valueTranslation' => null,
                            'values' => array(0 => 'mild',),
                        ),
                        4 => array(
                            'id' => '4',
                            'optionID' => '4',
                            'name' => 'Farbe',
                            'groupID' => '1',
                            'groupName' => 'Edelbrände',
                            'value' => 'schokobraun',
                            'valueID' => '41',
                            'nameTranslation' => null,
                            'groupNameTranslation' => null,
                            'valueTranslation' => null,
                            'values' => array(0 => 'schokobraun',),
                        ),
                        2 => array(
                            'id' => '2',
                            'optionID' => '2',
                            'name' => 'Flaschengröße',
                            'groupID' => '1',
                            'groupName' => 'Edelbrände',
                            'value' => '0,7 Liter',
                            'valueID' => '24',
                            'nameTranslation' => null,
                            'groupNameTranslation' => null,
                            'valueTranslation' => null,
                            'values' => array(0 => '0,7 Liter',),
                        ),
                        1 => array(
                            'id' => '1',
                            'optionID' => '1',
                            'name' => 'Alkoholgehalt',
                            'groupID' => '1',
                            'groupName' => 'Edelbrände',
                            'value' => '< 20%',
                            'valueID' => '39',
                            'nameTranslation' => null,
                            'groupNameTranslation' => null,
                            'valueTranslation' => null,
                            'values' => array(0 => '< 20%',),
                        ),
                    ),
                    'priceStartingFrom' => 0,
                    'referenceprice' => '11.414285714286',
                    'sUnit' => array('unit' => 'l', 'description' => 'Liter',),
                    'image' => array(
                        'src' => array(
                            'original' => 'http://dr.test.shopware.in/next/media/image/LatteMacchiato502bc1efd65b6.jpg',
                            0 => 'http://dr.test.shopware.in/next/media/image/thumbnail/LatteMacchiato502bc1efd65b6_30x30.jpg',
                            1 => 'http://dr.test.shopware.in/next/media/image/thumbnail/LatteMacchiato502bc1efd65b6_57x57.jpg',
                            2 => 'http://dr.test.shopware.in/next/media/image/thumbnail/LatteMacchiato502bc1efd65b6_105x105.jpg',
                            3 => 'http://dr.test.shopware.in/next/media/image/thumbnail/LatteMacchiato502bc1efd65b6_140x140.jpg',
                            4 => 'http://dr.test.shopware.in/next/media/image/thumbnail/LatteMacchiato502bc1efd65b6_285x255.jpg',
                            5 => 'http://dr.test.shopware.in/next/media/image/thumbnail/LatteMacchiato502bc1efd65b6_720x600.jpg',
                        ),
                        'res' => array(
                            'original' => array(
                                'width' => 0,
                                'height' => 0,
                            ),
                            'description' => '',
                        ),
                        'position' => 1,
                        'extension' => 'jpg',
                        'main' => 1,
                        'id' => 12,
                        'parentId' => null,
                        'attribute' => array(),
                    ),
                    'linkBasket' => 'shopware.php?sViewport=basket&sAdd=SW10004',
                    'linkDetails' => 'shopware.php?sViewport=detail&sArticle=4',
                    'mode' => 'fix',
                ),
                1 => array(
                    'articleID' => '5',
                    'articleDetailsID' => '252',
                    'ordernumber' => 'SW10005.1',
                    'datum' => '2012-06-12',
                    'sales' => '0',
                    'highlight' => '0',
                    'description' => 'Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam',
                    'supplierName' => 'Feinbrennerei Sasse',
                    'supplierImg' => 'media/image/sasse.png',
                    'articleName' => 'Emmelkamp Holunder Likör 18%',
                    'taxID' => '1',
                    'price' => '10,95',
                    'pseudoprice' => '0',
                    'tax' => '19.00',
                    'attr1' => '',
                    'attr2' => '',
                    'attr3' => '',
                    'attr4' => '',
                    'attr5' => '',
                    'attr6' => '',
                    'attr7' => '',
                    'attr8' => '',
                    'attr9' => '',
                    'attr10' => '',
                    'attr11' => '',
                    'attr12' => '',
                    'attr13' => '',
                    'attr14' => '',
                    'attr15' => '',
                    'attr16' => '',
                    'attr17' => null,
                    'attr18' => '',
                    'attr19' => '',
                    'attr20' => '',
                    'instock' => '3',
                    'weight' => '0.000',
                    'shippingtime' => '',
                    'pricegroup' => 'EK',
                    'pricegroupID' => null,
                    'pricegroupActive' => '0',
                    'filtergroupID' => '1',
                    'purchaseunit' => 0.7,
                    'referenceunit' => 1,
                    'unitID' => '1',
                    'laststock' => '0',
                    'additionaltext' => '0,2 Liter',
                    'sConfigurator' => '1',
                    'esd' => '0',
                    'sVoteAverage' => array('average' => 0, 'count' => 0,),
                    'newArticle' => '0',
                    'topseller' => '0',
                    'sUpcoming' => '0',
                    'sReleasedate' => '',
                    'sVariantArticle' => '1',
                    'sReleaseDate' => '',
                    'sProperties' => array(
                        7 => array(
                            'id' => '7',
                            'optionID' => '7',
                            'name' => 'Trinktemperatur',
                            'groupID' => '1',
                            'groupName' => 'Edelbrände',
                            'value' => 'Gekühlt',
                            'valueID' => '35',
                            'nameTranslation' => null,
                            'groupNameTranslation' => null,
                            'valueTranslation' => null,
                            'values' => array(0 => 'Gekühlt',),
                        ),
                        6 => array(
                            'id' => '6',
                            'optionID' => '6',
                            'name' => 'Geschmack',
                            'groupID' => '1',
                            'groupName' => 'Edelbrände',
                            'value' => 'mild',
                            'valueID' => '33',
                            'nameTranslation' => null,
                            'groupNameTranslation' => null,
                            'valueTranslation' => null,
                            'values' => array(0 => 'mild',),
                        ),
                        4 => array(
                            'id' => '4',
                            'optionID' => '4',
                            'name' => 'Farbe',
                            'groupID' => '1',
                            'groupName' => 'Edelbrände',
                            'value' => 'rot',
                            'valueID' => '28',
                            'nameTranslation' => null,
                            'groupNameTranslation' => null,
                            'valueTranslation' => null,
                            'values' => array(0 => 'rot',),
                        ),
                        2 => array(
                            'id' => '2',
                            'optionID' => '2',
                            'name' => 'Flaschengröße',
                            'groupID' => '1',
                            'groupName' => 'Edelbrände',
                            'value' => '0,2 Liter, 0,7 Liter, 1,0 Liter, 1,5 Liter',
                            'valueID' => '22',
                            'nameTranslation' => null,
                            'groupNameTranslation' => null,
                            'valueTranslation' => null,
                            'values' => array(
                                0 => '0,2 Liter',
                                1 => '0,7 Liter',
                                2 => '1,0 Liter',
                                3 => '1,5 Liter',
                            ),
                        ),
                        1 => array(
                            'id' => '1',
                            'optionID' => '1',
                            'name' => 'Alkoholgehalt',
                            'groupID' => '1',
                            'groupName' => 'Edelbrände',
                            'value' => '< 20%',
                            'valueID' => '39',
                            'nameTranslation' => null,
                            'groupNameTranslation' => null,
                            'valueTranslation' => null,
                            'values' => array(0 => '< 20%',),
                        ),
                    ),
                    'priceStartingFrom' => '10,95',
                    'referenceprice' => '15.642857142857',
                    'sUnit' => array('unit' => 'l', 'description' => 'Liter',),
                    'image' => array(
                        'src' => array(
                            'original' => 'http://dr.test.shopware.in/next/media/image/Emmelkamper_Holunderlikoer_200ml-1.jpg',
                            0 => 'http://dr.test.shopware.in/next/media/image/thumbnail/Emmelkamper_Holunderlikoer_200ml-1_30x30.jpg',
                            1 => 'http://dr.test.shopware.in/next/media/image/thumbnail/Emmelkamper_Holunderlikoer_200ml-1_57x57.jpg',
                            2 => 'http://dr.test.shopware.in/next/media/image/thumbnail/Emmelkamper_Holunderlikoer_200ml-1_105x105.jpg',
                            3 => 'http://dr.test.shopware.in/next/media/image/thumbnail/Emmelkamper_Holunderlikoer_200ml-1_140x140.jpg',
                            4 => 'http://dr.test.shopware.in/next/media/image/thumbnail/Emmelkamper_Holunderlikoer_200ml-1_285x255.jpg',
                            5 => 'http://dr.test.shopware.in/next/media/image/thumbnail/Emmelkamper_Holunderlikoer_200ml-1_720x600.jpg',
                        ),
                        'res' => array(
                            'original' => array(
                                'width' => 0,
                                'height' => 0,
                            ),
                            'description' => 'Emmelkamper Holunderlikör 0,2 Liter',
                        ),
                        'position' => 2,
                        'extension' => 'jpg',
                        'main' => 1,
                        'id' => 17,
                        'parentId' => null,
                        'attribute' => array(),
                    ),
                    'linkBasket' => 'shopware.php?sViewport=basket&sAdd=SW10005.1',
                    'linkDetails' => 'shopware.php?sViewport=detail&sArticle=5',
                    'mode' => 'fix',
                ),
                2 => array(
                    'articleID' => '6',
                    'articleDetailsID' => '6',
                    'ordernumber' => 'SW10006',
                    'datum' => '2012-08-15',
                    'sales' => '0',
                    'highlight' => '0',
                    'description' => 'O barbaricus poeta Casus dum dis tueor iam Basilicus cur ne duo de neglectum, ut heu Fera hic Profiteor. Ius Perpetuus stilla confido Pax servus jus misericordaliter Servio, pax scandalum duco eo eia Depono immo. ',
                    'supplierName' => 'Feinbrennerei Sasse',
                    'supplierImg' => 'media/image/sasse.png',
                    'articleName' => 'Cigar Special 40%',
                    'taxID' => '1',
                    'price' => '35,95',
                    'pseudoprice' => '0',
                    'tax' => '19.00',
                    'attr1' => '',
                    'attr2' => '',
                    'attr3' => '',
                    'attr4' => '',
                    'attr5' => '',
                    'attr6' => '',
                    'attr7' => '',
                    'attr8' => '',
                    'attr9' => '',
                    'attr10' => '',
                    'attr11' => '',
                    'attr12' => '',
                    'attr13' => '',
                    'attr14' => '',
                    'attr15' => '',
                    'attr16' => '',
                    'attr17' => null,
                    'attr18' => '',
                    'attr19' => '',
                    'attr20' => '',
                    'instock' => '20',
                    'weight' => '0.000',
                    'shippingtime' => '',
                    'pricegroup' => 'EK',
                    'pricegroupID' => null,
                    'pricegroupActive' => '0',
                    'filtergroupID' => '1',
                    'purchaseunit' => 0.5,
                    'referenceunit' => 1,
                    'unitID' => '1',
                    'laststock' => '0',
                    'additionaltext' => '',
                    'sConfigurator' => '0',
                    'esd' => '0',
                    'sVoteAverage' => array('average' => 0, 'count' => 0,),
                    'newArticle' => '0',
                    'topseller' => '0',
                    'sUpcoming' => '0',
                    'sReleasedate' => '',
                    'sVariantArticle' => null,
                    'sReleaseDate' => '',
                    'sProperties' => array(
                        7 => array(
                            'id' => '7',
                            'optionID' => '7',
                            'name' => 'Trinktemperatur',
                            'groupID' => '1',
                            'groupName' => 'Edelbrände',
                            'value' => 'Zimmertemperatur',
                            'valueID' => '36',
                            'nameTranslation' => null,
                            'groupNameTranslation' => null,
                            'valueTranslation' => null,
                            'values' => array(0 => 'Zimmertemperatur',),
                        ),
                        6 => array(
                            'id' => '6',
                            'optionID' => '6',
                            'name' => 'Geschmack',
                            'groupID' => '1',
                            'groupName' => 'Edelbrände',
                            'value' => 'mild',
                            'valueID' => '33',
                            'nameTranslation' => null,
                            'groupNameTranslation' => null,
                            'valueTranslation' => null,
                            'values' => array(0 => 'mild',),
                        ),
                        2 => array(
                            'id' => '2',
                            'optionID' => '2',
                            'name' => 'Flaschengröße',
                            'groupID' => '1',
                            'groupName' => 'Edelbrände',
                            'value' => '0,5 Liter',
                            'valueID' => '23',
                            'nameTranslation' => null,
                            'groupNameTranslation' => null,
                            'valueTranslation' => null,
                            'values' => array(0 => '0,5 Liter',),
                        ),
                        1 => array(
                            'id' => '1',
                            'optionID' => '1',
                            'name' => 'Alkoholgehalt',
                            'groupID' => '1',
                            'groupName' => 'Edelbrände',
                            'value' => '>30%',
                            'valueID' => '40',
                            'nameTranslation' => null,
                            'groupNameTranslation' => null,
                            'valueTranslation' => null,
                            'values' => array(0 => '>30%',),
                        ),
                    ),
                    'priceStartingFrom' => 0,
                    'referenceprice' => '71.9',
                    'sUnit' => array('unit' => 'l', 'description' => 'Liter',),
                    'image' => array(
                        'src' => array(
                            'original' => 'http://dr.test.shopware.in/next/media/image/Cigar_Special.jpg',
                            0 => 'http://dr.test.shopware.in/next/media/image/thumbnail/Cigar_Special_30x30.jpg',
                            1 => 'http://dr.test.shopware.in/next/media/image/thumbnail/Cigar_Special_57x57.jpg',
                            2 => 'http://dr.test.shopware.in/next/media/image/thumbnail/Cigar_Special_105x105.jpg',
                            3 => 'http://dr.test.shopware.in/next/media/image/thumbnail/Cigar_Special_140x140.jpg',
                            4 => 'http://dr.test.shopware.in/next/media/image/thumbnail/Cigar_Special_285x255.jpg',
                            5 => 'http://dr.test.shopware.in/next/media/image/thumbnail/Cigar_Special_720x600.jpg',
                        ),
                        'res' => array(
                            'original' => array(
                                'width' => 0,
                                'height' => 0,
                            ),
                            'description' => '',
                        ),
                        'position' => 1,
                        'extension' => 'jpg',
                        'main' => 1,
                        'id' => 14,
                        'parentId' => null,
                        'attribute' => array(),
                    ),
                    'linkBasket' => 'shopware.php?sViewport=basket&sAdd=SW10006',
                    'linkDetails' => 'shopware.php?sViewport=detail&sArticle=6',
                    'mode' => 'fix',
                ),
                3 => array(
                    'articleID' => '7',
                    'articleDetailsID' => '249',
                    'ordernumber' => 'SW10007.1',
                    'datum' => '2012-07-10',
                    'sales' => '0',
                    'highlight' => '0',
                    'description' => 'Na exuo plura ut sumo lavo vindex qualiscumque Castellum fere longinquus An se Super. Nec patulum ita tui Designo curso tum Lavo misericordaliter.',
                    'supplierName' => 'Feinbrennerei Sasse',
                    'supplierImg' => 'media/image/sasse.png',
                    'articleName' => 'Wacholder Premium extra mild 32%',
                    'taxID' => '1',
                    'price' => '2,49',
                    'pseudoprice' => '0',
                    'tax' => '19.00',
                    'attr1' => '',
                    'attr2' => '',
                    'attr3' => '',
                    'attr4' => '',
                    'attr5' => '',
                    'attr6' => '',
                    'attr7' => '',
                    'attr8' => '',
                    'attr9' => '',
                    'attr10' => '',
                    'attr11' => '',
                    'attr12' => '',
                    'attr13' => '',
                    'attr14' => '',
                    'attr15' => '',
                    'attr16' => '',
                    'attr17' => null,
                    'attr18' => '',
                    'attr19' => '',
                    'attr20' => '',
                    'instock' => '8',
                    'weight' => '0.000',
                    'shippingtime' => '',
                    'pricegroup' => 'EK',
                    'pricegroupID' => null,
                    'pricegroupActive' => '0',
                    'filtergroupID' => '1',
                    'purchaseunit' => 0.7,
                    'referenceunit' => 1,
                    'unitID' => '1',
                    'laststock' => '0',
                    'additionaltext' => '0,2 Liter',
                    'sConfigurator' => '1',
                    'esd' => '0',
                    'sVoteAverage' => array('average' => 0, 'count' => 0,),
                    'newArticle' => '0',
                    'topseller' => '0',
                    'sUpcoming' => '0',
                    'sReleasedate' => '',
                    'sVariantArticle' => '1',
                    'sReleaseDate' => '',
                    'sProperties' => array(
                        7 => array(
                            'id' => '7',
                            'optionID' => '7',
                            'name' => 'Trinktemperatur',
                            'groupID' => '1',
                            'groupName' => 'Edelbrände',
                            'value' => 'Gekühlt',
                            'valueID' => '35',
                            'nameTranslation' => null,
                            'groupNameTranslation' => null,
                            'valueTranslation' => null,
                            'values' => array(0 => 'Gekühlt',),
                        ),
                        6 => array(
                            'id' => '6',
                            'optionID' => '6',
                            'name' => 'Geschmack',
                            'groupID' => '1',
                            'groupName' => 'Edelbrände',
                            'value' => 'herb',
                            'valueID' => '32',
                            'nameTranslation' => null,
                            'groupNameTranslation' => null,
                            'valueTranslation' => null,
                            'values' => array(0 => 'herb',),
                        ),
                        4 => array(
                            'id' => '4',
                            'optionID' => '4',
                            'name' => 'Farbe',
                            'groupID' => '1',
                            'groupName' => 'Edelbrände',
                            'value' => 'klar',
                            'valueID' => '29',
                            'nameTranslation' => null,
                            'groupNameTranslation' => null,
                            'valueTranslation' => null,
                            'values' => array(0 => 'klar',),
                        ),
                        2 => array(
                            'id' => '2',
                            'optionID' => '2',
                            'name' => 'Flaschengröße',
                            'groupID' => '1',
                            'groupName' => 'Edelbrände',
                            'value' => '0,2 Liter, 0,7 Liter, 1,0 Liter',
                            'valueID' => '22',
                            'nameTranslation' => null,
                            'groupNameTranslation' => null,
                            'valueTranslation' => null,
                            'values' => array(
                                0 => '0,2 Liter',
                                1 => '0,7 Liter',
                                2 => '1,0 Liter',
                            ),
                        ),
                        1 => array(
                            'id' => '1',
                            'optionID' => '1',
                            'name' => 'Alkoholgehalt',
                            'groupID' => '1',
                            'groupName' => 'Edelbrände',
                            'value' => '>30%',
                            'valueID' => '40',
                            'nameTranslation' => null,
                            'groupNameTranslation' => null,
                            'valueTranslation' => null,
                            'values' => array(0 => '>30%',),
                        ),
                    ),
                    'priceStartingFrom' => '2,49',
                    'referenceprice' => '3.5571428571429',
                    'sUnit' => array('unit' => 'l', 'description' => 'Liter',),
                    'image' => array(
                        'src' => array(
                            'original' => 'http://dr.test.shopware.in/next/media/image/WacholderFlasche_frei.jpg',
                            0 => 'http://dr.test.shopware.in/next/media/image/thumbnail/WacholderFlasche_frei_30x30.jpg',
                            1 => 'http://dr.test.shopware.in/next/media/image/thumbnail/WacholderFlasche_frei_57x57.jpg',
                            2 => 'http://dr.test.shopware.in/next/media/image/thumbnail/WacholderFlasche_frei_105x105.jpg',
                            3 => 'http://dr.test.shopware.in/next/media/image/thumbnail/WacholderFlasche_frei_140x140.jpg',
                            4 => 'http://dr.test.shopware.in/next/media/image/thumbnail/WacholderFlasche_frei_285x255.jpg',
                            5 => 'http://dr.test.shopware.in/next/media/image/thumbnail/WacholderFlasche_frei_720x600.jpg',
                        ),
                        'res' => array(
                            'original' => array(
                                'width' => 0,
                                'height' => 0,
                            ),
                            'description' => '',
                        ),
                        'position' => 1,
                        'extension' => 'jpg',
                        'main' => 1,
                        'id' => 19,
                        'parentId' => null,
                        'attribute' => array(),
                    ),
                    'linkBasket' => 'shopware.php?sViewport=basket&sAdd=SW10007.1',
                    'linkDetails' => 'shopware.php?sViewport=detail&sArticle=7',
                    'mode' => 'fix',
                ),
                4 => array(
                    'articleID' => '8',
                    'articleDetailsID' => '14',
                    'ordernumber' => 'SW10008',
                    'datum' => '2012-07-02',
                    'sales' => '0',
                    'highlight' => '0',
                    'description' => 'Rofiteor ius Perpetuus stilla seu pax sufficientia jus far rego promus per fragilitas iurisdictio Fines inquinamentum latrunculus.',
                    'supplierName' => 'Feinbrennerei Sasse',
                    'supplierImg' => 'media/image/sasse.png',
                    'articleName' => 'T.S. Privat 41,5 %',
                    'taxID' => '1',
                    'price' => '49,95',
                    'pseudoprice' => '0',
                    'tax' => '19.00',
                    'attr1' => '',
                    'attr2' => '',
                    'attr3' => '',
                    'attr4' => '',
                    'attr5' => '',
                    'attr6' => '',
                    'attr7' => '',
                    'attr8' => '',
                    'attr9' => '',
                    'attr10' => '',
                    'attr11' => '',
                    'attr12' => '',
                    'attr13' => '',
                    'attr14' => '',
                    'attr15' => '',
                    'attr16' => '',
                    'attr17' => null,
                    'attr18' => '',
                    'attr19' => '',
                    'attr20' => '',
                    'instock' => '7',
                    'weight' => '0.000',
                    'shippingtime' => '',
                    'pricegroup' => 'EK',
                    'pricegroupID' => null,
                    'pricegroupActive' => '0',
                    'filtergroupID' => '1',
                    'purchaseunit' => 0.5,
                    'referenceunit' => 1,
                    'unitID' => '1',
                    'laststock' => '0',
                    'additionaltext' => '',
                    'sConfigurator' => '0',
                    'esd' => '0',
                    'sVoteAverage' => array('average' => 0, 'count' => 0,),
                    'newArticle' => '0',
                    'topseller' => '0',
                    'sUpcoming' => '0',
                    'sReleasedate' => '',
                    'sVariantArticle' => null,
                    'sReleaseDate' => '',
                    'sProperties' => array(
                        7 => array(
                            'id' => '7',
                            'optionID' => '7',
                            'name' => 'Trinktemperatur',
                            'groupID' => '1',
                            'groupName' => 'Edelbrände',
                            'value' => 'Zimmertemperatur',
                            'valueID' => '36',
                            'nameTranslation' => null,
                            'groupNameTranslation' => null,
                            'valueTranslation' => null,
                            'values' => array(0 => 'Zimmertemperatur',),
                        ),
                        6 => array(
                            'id' => '6',
                            'optionID' => '6',
                            'name' => 'Geschmack',
                            'groupID' => '1',
                            'groupName' => 'Edelbrände',
                            'value' => 'mild',
                            'valueID' => '33',
                            'nameTranslation' => null,
                            'groupNameTranslation' => null,
                            'valueTranslation' => null,
                            'values' => array(0 => 'mild',),
                        ),
                        4 => array(
                            'id' => '4',
                            'optionID' => '4',
                            'name' => 'Farbe',
                            'groupID' => '1',
                            'groupName' => 'Edelbrände',
                            'value' => 'goldig',
                            'valueID' => '31',
                            'nameTranslation' => null,
                            'groupNameTranslation' => null,
                            'valueTranslation' => null,
                            'values' => array(0 => 'goldig',),
                        ),
                        2 => array(
                            'id' => '2',
                            'optionID' => '2',
                            'name' => 'Flaschengröße',
                            'groupID' => '1',
                            'groupName' => 'Edelbrände',
                            'value' => '0,5 Liter',
                            'valueID' => '23',
                            'nameTranslation' => null,
                            'groupNameTranslation' => null,
                            'valueTranslation' => null,
                            'values' => array(0 => '0,5 Liter',),
                        ),
                        1 => array(
                            'id' => '1',
                            'optionID' => '1',
                            'name' => 'Alkoholgehalt',
                            'groupID' => '1',
                            'groupName' => 'Edelbrände',
                            'value' => '>30%',
                            'valueID' => '40',
                            'nameTranslation' => null,
                            'groupNameTranslation' => null,
                            'valueTranslation' => null,
                            'values' => array(0 => '>30%',),
                        ),
                    ),
                    'priceStartingFrom' => 0,
                    'referenceprice' => '99.9',
                    'sUnit' => array('unit' => 'l', 'description' => 'Liter',),
                    'image' => array(
                        'src' => array(
                            'original' => 'http://dr.test.shopware.in/next/media/image/Lagerkorn_TS.jpg',
                            0 => 'http://dr.test.shopware.in/next/media/image/thumbnail/Lagerkorn_TS_30x30.jpg',
                            1 => 'http://dr.test.shopware.in/next/media/image/thumbnail/Lagerkorn_TS_57x57.jpg',
                            2 => 'http://dr.test.shopware.in/next/media/image/thumbnail/Lagerkorn_TS_105x105.jpg',
                            3 => 'http://dr.test.shopware.in/next/media/image/thumbnail/Lagerkorn_TS_140x140.jpg',
                            4 => 'http://dr.test.shopware.in/next/media/image/thumbnail/Lagerkorn_TS_285x255.jpg',
                            5 => 'http://dr.test.shopware.in/next/media/image/thumbnail/Lagerkorn_TS_720x600.jpg',
                        ),
                        'res' => array(
                            'original' => array(
                                'width' => 0,
                                'height' => 0,
                            ),
                            'description' => '',
                        ),
                        'position' => 1,
                        'extension' => 'jpg',
                        'main' => 1,
                        'id' => 20,
                        'parentId' => null,
                        'attribute' => array(),
                    ),
                    'linkBasket' => 'shopware.php?sViewport=basket&sAdd=SW10008',
                    'linkDetails' => 'shopware.php?sViewport=detail&sArticle=8',
                    'mode' => 'fix',
                ),
                5 => array(
                    'articleID' => '9',
                    'articleDetailsID' => '15',
                    'ordernumber' => 'SW10009',
                    'datum' => '2012-08-16',
                    'sales' => '0',
                    'highlight' => '0',
                    'description' => 'Mugio universitas magnificentia contente St incogito Mire to aut ut Avunculus do specialitas, iam Prodigus tam Plaga ait Confestim volubilis.',
                    'supplierName' => 'Feinbrennerei Sasse',
                    'supplierImg' => 'media/image/sasse.png',
                    'articleName' => 'Special Finish Lagerkorn X.O. 32%',
                    'taxID' => '1',
                    'price' => '24,99',
                    'pseudoprice' => '0',
                    'tax' => '19.00',
                    'attr1' => '',
                    'attr2' => '',
                    'attr3' => '',
                    'attr4' => '',
                    'attr5' => '',
                    'attr6' => '',
                    'attr7' => '',
                    'attr8' => '',
                    'attr9' => '',
                    'attr10' => '',
                    'attr11' => '',
                    'attr12' => '',
                    'attr13' => '',
                    'attr14' => '',
                    'attr15' => '',
                    'attr16' => '',
                    'attr17' => null,
                    'attr18' => '',
                    'attr19' => '',
                    'attr20' => '',
                    'instock' => '12',
                    'weight' => '0.000',
                    'shippingtime' => '',
                    'pricegroup' => 'EK',
                    'pricegroupID' => null,
                    'pricegroupActive' => '0',
                    'filtergroupID' => '1',
                    'purchaseunit' => 0.5,
                    'referenceunit' => 1,
                    'unitID' => '1',
                    'laststock' => '0',
                    'additionaltext' => '',
                    'sConfigurator' => '0',
                    'esd' => '0',
                    'sVoteAverage' => array('average' => 0, 'count' => 0,),
                    'newArticle' => '0',
                    'topseller' => '0',
                    'sUpcoming' => '0',
                    'sReleasedate' => '',
                    'sVariantArticle' => null,
                    'sReleaseDate' => '',
                    'sProperties' => array(
                        7 => array(
                            'id' => '7',
                            'optionID' => '7',
                            'name' => 'Trinktemperatur',
                            'groupID' => '1',
                            'groupName' => 'Edelbrände',
                            'value' => 'Zimmertemperatur',
                            'valueID' => '36',
                            'nameTranslation' => null,
                            'groupNameTranslation' => null,
                            'valueTranslation' => null,
                            'values' => array(0 => 'Zimmertemperatur',),
                        ),
                        6 => array(
                            'id' => '6',
                            'optionID' => '6',
                            'name' => 'Geschmack',
                            'groupID' => '1',
                            'groupName' => 'Edelbrände',
                            'value' => 'mild',
                            'valueID' => '33',
                            'nameTranslation' => null,
                            'groupNameTranslation' => null,
                            'valueTranslation' => null,
                            'values' => array(0 => 'mild',),
                        ),
                        4 => array(
                            'id' => '4',
                            'optionID' => '4',
                            'name' => 'Farbe',
                            'groupID' => '1',
                            'groupName' => 'Edelbrände',
                            'value' => 'goldig',
                            'valueID' => '31',
                            'nameTranslation' => null,
                            'groupNameTranslation' => null,
                            'valueTranslation' => null,
                            'values' => array(0 => 'goldig',),
                        ),
                        2 => array(
                            'id' => '2',
                            'optionID' => '2',
                            'name' => 'Flaschengröße',
                            'groupID' => '1',
                            'groupName' => 'Edelbrände',
                            'value' => '0,5 Liter',
                            'valueID' => '23',
                            'nameTranslation' => null,
                            'groupNameTranslation' => null,
                            'valueTranslation' => null,
                            'values' => array(0 => '0,5 Liter',),
                        ),
                        1 => array(
                            'id' => '1',
                            'optionID' => '1',
                            'name' => 'Alkoholgehalt',
                            'groupID' => '1',
                            'groupName' => 'Edelbrände',
                            'value' => '>30%',
                            'valueID' => '40',
                            'nameTranslation' => null,
                            'groupNameTranslation' => null,
                            'valueTranslation' => null,
                            'values' => array(0 => '>30%',),
                        ),
                    ),
                    'priceStartingFrom' => 0,
                    'referenceprice' => '49.98',
                    'sUnit' => array('unit' => 'l', 'description' => 'Liter',),
                    'image' => array(
                        'src' => array(
                            'original' => 'http://dr.test.shopware.in/next/media/image/Lagerkorn_XO.jpg',
                            0 => 'http://dr.test.shopware.in/next/media/image/thumbnail/Lagerkorn_XO_30x30.jpg',
                            1 => 'http://dr.test.shopware.in/next/media/image/thumbnail/Lagerkorn_XO_57x57.jpg',
                            2 => 'http://dr.test.shopware.in/next/media/image/thumbnail/Lagerkorn_XO_105x105.jpg',
                            3 => 'http://dr.test.shopware.in/next/media/image/thumbnail/Lagerkorn_XO_140x140.jpg',
                            4 => 'http://dr.test.shopware.in/next/media/image/thumbnail/Lagerkorn_XO_285x255.jpg',
                            5 => 'http://dr.test.shopware.in/next/media/image/thumbnail/Lagerkorn_XO_720x600.jpg',
                        ),
                        'res' => array(
                            'original' => array(
                                'width' => 0,
                                'height' => 0,
                            ),
                            'description' => '',
                        ),
                        'position' => 1,
                        'extension' => 'jpg',
                        'main' => 1,
                        'id' => 21,
                        'parentId' => null,
                        'attribute' => array(),
                    ),
                    'linkBasket' => 'shopware.php?sViewport=basket&sAdd=SW10009',
                    'linkDetails' => 'shopware.php?sViewport=detail&sArticle=9',
                    'mode' => 'fix',
                ),
            ),
            'esd' => false,
            'sBlockPrices' => array(),
            'sVariants' => array(),
            'referenceprice' => '39.98',
            'sUnit' => array('unit' => 'l', 'description' => 'Liter',),
            'priceStartingFrom' => '19,99',
            'quantity' => 1,
            'active' => 1,
            'sConfiguratorValues' => array(),
            'sConfigurator' => array(
                0 => array(
                    'groupID' => 5,
                    'groupname' => 'Flascheninhalt',
                    'groupnameOrig' => 'Flascheninhalt',
                    'groupdescription' => null,
                    'groupdescriptionOrig' => null,
                    'groupimage' => '',
                    'postion' => 3,
                    'selected_value' => null,
                    'selected' => false,
                    'values' => array(
                        35 => array(
                            'optionID' => 35,
                            'groupID' => 5,
                            'optionnameOrig' => '0,5 Liter',
                            'optionname' => '0,5 Liter',
                            'optionposition' => 2,
                            'optionactive' => 1,
                            'user_selected' => 1,
                            'selected' => 1,
                        ),
                        33 => array(
                            'optionID' => 33,
                            'groupID' => 5,
                            'optionnameOrig' => '1,5 Liter',
                            'optionname' => '1,5 Liter',
                            'optionposition' => 5,
                            'optionactive' => 1,
                            'user_selected' => 0,
                            'selected' => 0,
                        ),
                        34 => array(
                            'optionID' => 34,
                            'groupID' => 5,
                            'optionnameOrig' => '5 Liter',
                            'optionname' => '5 Liter',
                            'optionposition' => 6,
                            'optionactive' => 1,
                            'user_selected' => 0,
                            'selected' => 0,
                        ),
                    ),
                    'user_selected' => false,
                ),
            ),
            'sConfiguratorSettings' => array(
                'articleID' => 2,
                'type' => 0,
                'template' => 'article_config_upprice.tpl',
                'instock' => false,
                'upprice' => 0,
            ),
            'image' => array(
                'src' => array(
                    'original' => 'http://dr.test.shopware.in/next/media/image/Muensterlaender_Lagerkorn.jpg',
                    0 => 'http://dr.test.shopware.in/next/media/image/thumbnail/Muensterlaender_Lagerkorn_30x30.jpg',
                    1 => 'http://dr.test.shopware.in/next/media/image/thumbnail/Muensterlaender_Lagerkorn_57x57.jpg',
                    2 => 'http://dr.test.shopware.in/next/media/image/thumbnail/Muensterlaender_Lagerkorn_105x105.jpg',
                    3 => 'http://dr.test.shopware.in/next/media/image/thumbnail/Muensterlaender_Lagerkorn_140x140.jpg',
                    4 => 'http://dr.test.shopware.in/next/media/image/thumbnail/Muensterlaender_Lagerkorn_285x255.jpg',
                    5 => 'http://dr.test.shopware.in/next/media/image/thumbnail/Muensterlaender_Lagerkorn_720x600.jpg',
                ),
                'res' => array(
                    'original' => array('width' => 0, 'height' => 0,),
                    'description' => '',
                ),
                'position' => 2,
                'extension' => 'jpg',
                'main' => 1,
                'id' => 5,
                'parentId' => null,
                'attribute' => array(),
            ),
            'images' => array(
                0 => array(
                    'src' => array(
                        'original' => 'http://dr.test.shopware.in/next/media/image/Muensterlaender_Lagerkorn_Imagefoto.jpg',
                        0 => 'http://dr.test.shopware.in/next/media/image/thumbnail/Muensterlaender_Lagerkorn_Imagefoto_30x30.jpg',
                        1 => 'http://dr.test.shopware.in/next/media/image/thumbnail/Muensterlaender_Lagerkorn_Imagefoto_57x57.jpg',
                        2 => 'http://dr.test.shopware.in/next/media/image/thumbnail/Muensterlaender_Lagerkorn_Imagefoto_105x105.jpg',
                        3 => 'http://dr.test.shopware.in/next/media/image/thumbnail/Muensterlaender_Lagerkorn_Imagefoto_140x140.jpg',
                        4 => 'http://dr.test.shopware.in/next/media/image/thumbnail/Muensterlaender_Lagerkorn_Imagefoto_285x255.jpg',
                        5 => 'http://dr.test.shopware.in/next/media/image/thumbnail/Muensterlaender_Lagerkorn_Imagefoto_720x600.jpg',
                    ),
                    'res' => array(
                        'original' => array('width' => 0, 'height' => 0,),
                        'description' => '',
                    ),
                    'position' => 1,
                    'extension' => 'jpg',
                    'main' => 2,
                    'id' => 3,
                    'parentId' => null,
                    'attribute' => array(),
                ),
            ),
            'linkBasket' => 'shopware.php?sViewport=basket&sAdd=SW10002.3',
            'linkDetails' => 'shopware.php?sViewport=detail&sArticle=2',
            'linkDetailsRewrited' => 'http://dr.test.shopware.in/next/genusswelten/2/muensterlaender-lagerkorn-32',
            'linkNote' => 'shopware.php?sViewport=note&sAdd=SW10002.3',
            'linkTellAFriend' => 'shopware.php?sViewport=tellafriend&sDetails=2',
            'linkCheaper' => 'shopware.php?sViewport=cheaper&sDetails=2',
            'sDownloads' => array(),
            'sAccessories' => false,
            'sVoteAverage' => array('average' => '0.00', 'count' => '0',),
            'sVoteComments' => array(),
            'sProperties' => array(
                7 => array(
                    'id' => '7',
                    'optionID' => '7',
                    'name' => 'Trinktemperatur',
                    'groupID' => '1',
                    'groupName' => 'Edelbrände',
                    'value' => 'Zimmertemperatur',
                    'valueID' => '36',
                    'nameTranslation' => null,
                    'groupNameTranslation' => null,
                    'valueTranslation' => null,
                    'values' => array(0 => 'Zimmertemperatur',),
                ),
                6 => array(
                    'id' => '6',
                    'optionID' => '6',
                    'name' => 'Geschmack',
                    'groupID' => '1',
                    'groupName' => 'Edelbrände',
                    'value' => 'mild',
                    'valueID' => '33',
                    'nameTranslation' => null,
                    'groupNameTranslation' => null,
                    'valueTranslation' => null,
                    'values' => array(0 => 'mild',),
                ),
                4 => array(
                    'id' => '4',
                    'optionID' => '4',
                    'name' => 'Farbe',
                    'groupID' => '1',
                    'groupName' => 'Edelbrände',
                    'value' => 'goldig',
                    'valueID' => '31',
                    'nameTranslation' => null,
                    'groupNameTranslation' => null,
                    'valueTranslation' => null,
                    'values' => array(0 => 'goldig',),
                ),
                2 => array(
                    'id' => '2',
                    'optionID' => '2',
                    'name' => 'Flaschengröße',
                    'groupID' => '1',
                    'groupName' => 'Edelbrände',
                    'value' => '0,5 Liter, 1,5 Liter, 5,0 Liter',
                    'valueID' => '23',
                    'nameTranslation' => null,
                    'groupNameTranslation' => null,
                    'valueTranslation' => null,
                    'values' => array(
                        0 => '0,5 Liter',
                        1 => '1,5 Liter',
                        2 => '5,0 Liter',
                    ),
                ),
                1 => array(
                    'id' => '1',
                    'optionID' => '1',
                    'name' => 'Alkoholgehalt',
                    'groupID' => '1',
                    'groupName' => 'Edelbrände',
                    'value' => '>30%',
                    'valueID' => '40',
                    'nameTranslation' => null,
                    'groupNameTranslation' => null,
                    'valueTranslation' => null,
                    'values' => array(0 => '>30%',),
                ),
            ),
            'sNavigation' => null,
            'sDescriptionKeywords' => 'iam, his, per, tam, incrementabiliter, ops, se, res, dux, ita, hac, qui, mos, quo, pio, Ico, oro, ora, edo, magnificabiliter',
        )
        ,
        161 => array(
            'articleID' => '161',
            'articleDetailsID' => '372',
            'ordernumber' => 'SW10161.1',
            'datum' => '2012-07-16',
            'additionaltext' => '36',
            'shippingtime' => '',
            'shippingfree' => false,
            'instock' => '25',
            'minpurchase' => 1,
            'notification' => '0',
            'purchasesteps' => 1,
            'maxpurchase' => '100',
            'referenceunit' => null,
            'packunit' => '',
            'suppliernumber' => '',
            'ean' => null,
            'weight' => '0.000',
            'laststock' => '1',
            'unitID' => null,
            'template' => '',
            'pricegroupID' => null,
            'pricegroupActive' => '0',
            'mode' => '0',
            'taxID' => '1',
            'description' => 'Lego credulitas res sol pavor tum praesumo Patria quadratus. Me constringo. Attollo affero arbor eia talea per pluo Motus iam Ne compendio.',
            'keywords' => '',
            'supplierName' => 'Beachdreams Clothes',
            'supplierImg' => 'media/image/beachdreams.png',
            'supplierID' => '12',
            'supplierDescription' => '',
            'articleName' => 'Sommer-Sandale Leder Rot-Braun',
            'price' => '34,99',
            'sales' => '0',
            'pseudoprice' => '0',
            'pricegroup' => 'EK',
            'tax' => '19.00',
            'attr1' => '',
            'attr2' => '',
            'attr3' => '',
            'attr4' => '',
            'attr5' => '',
            'attr6' => '',
            'attr7' => '',
            'attr8' => '',
            'attr9' => '',
            'attr10' => '',
            'attr11' => '',
            'attr12' => '',
            'attr13' => '',
            'attr14' => '',
            'attr15' => '',
            'attr16' => '',
            'attr17' => null,
            'attr18' => '',
            'attr19' => '',
            'attr20' => '',
            'filtergroupID' => null,
            'crossbundlelook' => false,
            'sUpcoming' => '0',
            'sReleasedate' => '',
            'sLinks' => array(
                0 => array(
                    'supplierSearch' => true,
                    'description' => 'Beachdreams Clothes',
                    'link' => 'shopware.php?sViewport=search&sSearch=12&sSearchMode=supplier&sSearchText=Beachdreams+Clothes',
                    'target' => '_parent',
                ),
            ),
            'sRelatedArticles' => array(),
            'sSimilarArticles' => array(
                0 => array(
                    'articleID' => '160',
                    'articleDetailsID' => '364',
                    'ordernumber' => 'SW10160.1',
                    'datum' => '2012-07-16',
                    'sales' => '0',
                    'highlight' => '0',
                    'description' => 'Scelestus nam Comiter, tepesco ansa per ferox for Expiscor. Ex accuse homo avaritia sudo Gandavum.Sem furca pica.',
                    'supplierName' => 'Beachdreams Clothes',
                    'supplierImg' => 'media/image/beachdreams.png',
                    'articleName' => 'Sommer Sandale Ocean Blue',
                    'taxID' => '1',
                    'price' => '29,99',
                    'pseudoprice' => '0',
                    'tax' => '19.00',
                    'attr1' => '',
                    'attr2' => '',
                    'attr3' => '',
                    'attr4' => '',
                    'attr5' => '',
                    'attr6' => '',
                    'attr7' => '',
                    'attr8' => '',
                    'attr9' => '',
                    'attr10' => '',
                    'attr11' => '',
                    'attr12' => '',
                    'attr13' => '',
                    'attr14' => '',
                    'attr15' => '',
                    'attr16' => '',
                    'attr17' => null,
                    'attr18' => '',
                    'attr19' => '',
                    'attr20' => '',
                    'instock' => '19',
                    'weight' => '0.000',
                    'shippingtime' => '',
                    'pricegroup' => 'EK',
                    'pricegroupID' => null,
                    'pricegroupActive' => '0',
                    'filtergroupID' => null,
                    'purchaseunit' => 0,
                    'referenceunit' => 0,
                    'unitID' => null,
                    'laststock' => '0',
                    'additionaltext' => '36',
                    'sConfigurator' => '1',
                    'esd' => '0',
                    'sVoteAverage' => array('average' => 0, 'count' => 0,),
                    'newArticle' => '0',
                    'topseller' => '0',
                    'sUpcoming' => '0',
                    'sReleasedate' => '',
                    'sVariantArticle' => '1',
                    'sReleaseDate' => '',
                    'priceStartingFrom' => 0,
                    'image' => array(
                        'src' => array(
                            'original' => 'http://dr.test.shopware.in/next/media/image/Sandale-Beach-blau.jpg',
                            0 => 'http://dr.test.shopware.in/next/media/image/thumbnail/Sandale-Beach-blau_30x30.jpg',
                            1 => 'http://dr.test.shopware.in/next/media/image/thumbnail/Sandale-Beach-blau_57x57.jpg',
                            2 => 'http://dr.test.shopware.in/next/media/image/thumbnail/Sandale-Beach-blau_105x105.jpg',
                            3 => 'http://dr.test.shopware.in/next/media/image/thumbnail/Sandale-Beach-blau_140x140.jpg',
                            4 => 'http://dr.test.shopware.in/next/media/image/thumbnail/Sandale-Beach-blau_285x255.jpg',
                            5 => 'http://dr.test.shopware.in/next/media/image/thumbnail/Sandale-Beach-blau_720x600.jpg',
                        ),
                        'res' => array(
                            'original' => array(
                                'width' => 0,
                                'height' => 0,
                            ),
                            'description' => '',
                        ),
                        'position' => 1,
                        'extension' => 'jpg',
                        'main' => 1,
                        'id' => 420,
                        'parentId' => null,
                        'attribute' => array(),
                    ),
                    'linkBasket' => 'shopware.php?sViewport=basket&sAdd=SW10160.1',
                    'linkDetails' => 'shopware.php?sViewport=detail&sArticle=160',
                    'mode' => 'fix',
                ),
                1 => array(
                    'articleID' => '174',
                    'articleDetailsID' => '403',
                    'ordernumber' => 'SW10174',
                    'datum' => '2012-08-21',
                    'sales' => '0',
                    'highlight' => '0',
                    'description' => 'Illo queo Sino sine lea do Ferula emo exorior per dies iam Mollio Res exinde. Si, sis Genero In ter def.',
                    'supplierName' => 'Beachdreams Clothes',
                    'supplierImg' => 'media/image/beachdreams.png',
                    'articleName' => 'Strandkleid Short Red',
                    'taxID' => '1',
                    'price' => '38,99',
                    'pseudoprice' => '0',
                    'tax' => '19.00',
                    'attr1' => '',
                    'attr2' => '',
                    'attr3' => '',
                    'attr4' => '',
                    'attr5' => '',
                    'attr6' => '',
                    'attr7' => '',
                    'attr8' => '',
                    'attr9' => '',
                    'attr10' => '',
                    'attr11' => '',
                    'attr12' => '',
                    'attr13' => '',
                    'attr14' => '',
                    'attr15' => '',
                    'attr16' => '',
                    'attr17' => null,
                    'attr18' => '',
                    'attr19' => '',
                    'attr20' => '',
                    'instock' => '66',
                    'weight' => '0.000',
                    'shippingtime' => '',
                    'pricegroup' => 'EK',
                    'pricegroupID' => null,
                    'pricegroupActive' => '0',
                    'filtergroupID' => null,
                    'purchaseunit' => 0,
                    'referenceunit' => 0,
                    'unitID' => null,
                    'laststock' => '1',
                    'additionaltext' => '',
                    'sConfigurator' => '0',
                    'esd' => '0',
                    'sVoteAverage' => array('average' => 0, 'count' => 0,),
                    'newArticle' => '0',
                    'topseller' => '0',
                    'sUpcoming' => '0',
                    'sReleasedate' => '',
                    'sVariantArticle' => null,
                    'sReleaseDate' => '',
                    'priceStartingFrom' => 0,
                    'image' => array(
                        'src' => array(
                            'original' => 'http://dr.test.shopware.in/next/media/image/Strandkleid-rot.jpg',
                            0 => 'http://dr.test.shopware.in/next/media/image/thumbnail/Strandkleid-rot_30x30.jpg',
                            1 => 'http://dr.test.shopware.in/next/media/image/thumbnail/Strandkleid-rot_57x57.jpg',
                            2 => 'http://dr.test.shopware.in/next/media/image/thumbnail/Strandkleid-rot_105x105.jpg',
                            3 => 'http://dr.test.shopware.in/next/media/image/thumbnail/Strandkleid-rot_140x140.jpg',
                            4 => 'http://dr.test.shopware.in/next/media/image/thumbnail/Strandkleid-rot_285x255.jpg',
                            5 => 'http://dr.test.shopware.in/next/media/image/thumbnail/Strandkleid-rot_720x600.jpg',
                        ),
                        'res' => array(
                            'original' => array(
                                'width' => 0,
                                'height' => 0,
                            ),
                            'description' => '',
                        ),
                        'position' => 1,
                        'extension' => 'jpg',
                        'main' => 1,
                        'id' => 434,
                        'parentId' => null,
                        'attribute' => array(),
                    ),
                    'linkBasket' => 'shopware.php?sViewport=basket&sAdd=SW10174',
                    'linkDetails' => 'shopware.php?sViewport=detail&sArticle=174',
                    'mode' => 'fix',
                ),
            ),
            'esd' => false,
            'sBlockPrices' => array(),
            'sVariants' => array(),
            'priceStartingFrom' => 0,
            'quantity' => 1,
            'active' => 1,
            'sConfiguratorValues' => array(),
            'sConfigurator' => array(
                0 => array(
                    'groupID' => 7,
                    'groupname' => 'Größe',
                    'groupnameOrig' => 'Größe',
                    'groupdescription' => '',
                    'groupdescriptionOrig' => '',
                    'groupimage' => '',
                    'postion' => 9,
                    'selected_value' => null,
                    'selected' => false,
                    'values' => array(
                        61 => array(
                            'optionID' => 61,
                            'groupID' => 7,
                            'optionnameOrig' => '36',
                            'optionname' => '36',
                            'optionposition' => 15,
                            'optionactive' => 1,
                            'user_selected' => 1,
                            'selected' => 1,
                        ),
                        62 => array(
                            'optionID' => 62,
                            'groupID' => 7,
                            'optionnameOrig' => '37',
                            'optionname' => '37',
                            'optionposition' => 16,
                            'optionactive' => 1,
                            'user_selected' => 0,
                            'selected' => 0,
                        ),
                        63 => array(
                            'optionID' => 63,
                            'groupID' => 7,
                            'optionnameOrig' => '38',
                            'optionname' => '38',
                            'optionposition' => 17,
                            'optionactive' => 1,
                            'user_selected' => 0,
                            'selected' => 0,
                        ),
                        64 => array(
                            'optionID' => 64,
                            'groupID' => 7,
                            'optionnameOrig' => '39',
                            'optionname' => '39',
                            'optionposition' => 18,
                            'optionactive' => 1,
                            'user_selected' => 0,
                            'selected' => 0,
                        ),
                        65 => array(
                            'optionID' => 65,
                            'groupID' => 7,
                            'optionnameOrig' => '40',
                            'optionname' => '40',
                            'optionposition' => 19,
                            'optionactive' => 1,
                            'user_selected' => 0,
                            'selected' => 0,
                        ),
                        66 => array(
                            'optionID' => 66,
                            'groupID' => 7,
                            'optionnameOrig' => '41',
                            'optionname' => '41',
                            'optionposition' => 20,
                            'optionactive' => 1,
                            'user_selected' => 0,
                            'selected' => 0,
                        ),
                        67 => array(
                            'optionID' => 67,
                            'groupID' => 7,
                            'optionnameOrig' => '42',
                            'optionname' => '42',
                            'optionposition' => 21,
                            'optionactive' => 1,
                            'user_selected' => 0,
                            'selected' => 0,
                        ),
                    ),
                    'user_selected' => false,
                ),
            ),
            'sConfiguratorSettings' => array(
                'articleID' => 161,
                'type' => 0,
                'template' => 'article_config_upprice.tpl',
                'instock' => true,
                'upprice' => 0,
            ),
            'image' => array(
                'src' => array(
                    'original' => 'http://dr.test.shopware.in/next/media/image/Sandale-Beach-braun.jpg',
                    0 => 'http://dr.test.shopware.in/next/media/image/thumbnail/Sandale-Beach-braun_30x30.jpg',
                    1 => 'http://dr.test.shopware.in/next/media/image/thumbnail/Sandale-Beach-braun_57x57.jpg',
                    2 => 'http://dr.test.shopware.in/next/media/image/thumbnail/Sandale-Beach-braun_105x105.jpg',
                    3 => 'http://dr.test.shopware.in/next/media/image/thumbnail/Sandale-Beach-braun_140x140.jpg',
                    4 => 'http://dr.test.shopware.in/next/media/image/thumbnail/Sandale-Beach-braun_285x255.jpg',
                    5 => 'http://dr.test.shopware.in/next/media/image/thumbnail/Sandale-Beach-braun_720x600.jpg',
                ),
                'res' => array(
                    'original' => array('width' => 0, 'height' => 0,),
                    'description' => '',
                ),
                'position' => 1,
                'extension' => 'jpg',
                'main' => 1,
                'id' => 421,
                'parentId' => null,
                'attribute' => array(),
            ),
            'images' => array(),
            'linkBasket' => 'shopware.php?sViewport=basket&sAdd=SW10161.1',
            'linkDetails' => 'shopware.php?sViewport=detail&sArticle=161',
            'linkDetailsRewrited' => 'http://dr.test.shopware.in/next/sommerwelten/161/sommer-sandale-leder-rot-braun',
            'linkNote' => 'shopware.php?sViewport=note&sAdd=SW10161.1',
            'linkTellAFriend' => 'shopware.php?sViewport=tellafriend&sDetails=161',
            'linkCheaper' => 'shopware.php?sViewport=cheaper&sDetails=161',
            'sDownloads' => array(),
            'sAccessories' => false,
            'sVoteAverage' => array('average' => '0.00', 'count' => '0',),
            'sVoteComments' => array(),
            'sNavigation' => null,
            'sDescriptionKeywords' => 'credulitas, Lego, res, sol, tum, pavor, pertingo, vas, Tam, incurro, quod, secus, ne, reddo, praesumo, Patria, pluo, per, Motus, iam',
        )
        ,
        11 => array(
            'articleID' => '11',
            'articleDetailsID' => '17',
            'ordernumber' => 'SW10011',
            'datum' => '2012-07-31',
            'additionaltext' => '',
            'shippingtime' => '',
            'shippingfree' => false,
            'instock' => '55',
            'minpurchase' => 1,
            'notification' => '0',
            'purchasesteps' => 1,
            'maxpurchase' => '100',
            'referenceunit' => null,
            'packunit' => '',
            'suppliernumber' => '',
            'ean' => null,
            'weight' => '0.000',
            'laststock' => '0',
            'unitID' => '1',
            'template' => '',
            'pricegroupID' => null,
            'pricegroupActive' => '0',
            'mode' => '0',
            'taxID' => '1',
            'description' => 'Hic ira quis Perago tu Ops ratio, rufus ut Simul Sperno rixa mos turbo lucus Mortifera veles Chalybs imperito ardor. Cui opportune Pango sem.',
            'keywords' => '',
            'supplierName' => 'Feinbrennerei Sasse',
            'supplierImg' => 'media/image/sasse.png',
            'supplierID' => '2',
            'supplierDescription' => '',
            'articleName' => 'Münsterländer Aperitif Präsent Box',
            'price' => '19,95',
            'sales' => '0',
            'pseudoprice' => '0',
            'pricegroup' => 'EK',
            'tax' => '19.00',
            'attr1' => '',
            'attr2' => '',
            'attr3' => '',
            'attr4' => '',
            'attr5' => '',
            'attr6' => '',
            'attr7' => '',
            'attr8' => '',
            'attr9' => '',
            'attr10' => '',
            'attr11' => '',
            'attr12' => '',
            'attr13' => '',
            'attr14' => '',
            'attr15' => '',
            'attr16' => '',
            'attr17' => null,
            'attr18' => '',
            'attr19' => '',
            'attr20' => '',
            'filtergroupID' => null,
            'crossbundlelook' => false,
            'sUpcoming' => '0',
            'sReleasedate' => '',
            'sLinks' => array(
                0 => array(
                    'id' => '9',
                    'description' => 'Feinbrennerei Sasse',
                    'link' => 'http://www.sassekorn.de/',
                    'target' => '',
                    'supplierSearch' => false,
                ),
                1 => array(
                    'supplierSearch' => true,
                    'description' => 'Feinbrennerei Sasse',
                    'link' => 'shopware.php?sViewport=search&sSearch=2&sSearchMode=supplier&sSearchText=Feinbrennerei+Sasse',
                    'target' => '_parent',
                ),
            ),
            'sRelatedArticles' => array(),
            'sSimilarArticles' => array(),
            'esd' => false,
            'sBlockPrices' => array(),
            'sVariants' => array(),
            'sUnit' => array('unit' => 'l', 'description' => 'Liter',),
            'priceStartingFrom' => 0,
            'image' => array(
                'src' => array(
                    'original' => 'http://dr.test.shopware.in/next/media/image/Muensterlaender_Aperitif-Box.jpg',
                    0 => 'http://dr.test.shopware.in/next/media/image/thumbnail/Muensterlaender_Aperitif-Box_30x30.jpg',
                    1 => 'http://dr.test.shopware.in/next/media/image/thumbnail/Muensterlaender_Aperitif-Box_57x57.jpg',
                    2 => 'http://dr.test.shopware.in/next/media/image/thumbnail/Muensterlaender_Aperitif-Box_105x105.jpg',
                    3 => 'http://dr.test.shopware.in/next/media/image/thumbnail/Muensterlaender_Aperitif-Box_140x140.jpg',
                    4 => 'http://dr.test.shopware.in/next/media/image/thumbnail/Muensterlaender_Aperitif-Box_285x255.jpg',
                    5 => 'http://dr.test.shopware.in/next/media/image/thumbnail/Muensterlaender_Aperitif-Box_720x600.jpg',
                ),
                'res' => array(
                    'original' => array('width' => 0, 'height' => 0,),
                    'description' => '',
                ),
                'position' => 1,
                'extension' => 'jpg',
                'main' => 1,
                'id' => 23,
                'parentId' => null,
                'attribute' => array(),
            ),
            'images' => array(),
            'linkBasket' => 'shopware.php?sViewport=basket&sAdd=SW10011',
            'linkDetails' => 'shopware.php?sViewport=detail&sArticle=11',
            'linkDetailsRewrited' => 'http://dr.test.shopware.in/next/genusswelten/edelbraende/11/muensterlaender-aperitif-praesent-box',
            'linkNote' => 'shopware.php?sViewport=note&sAdd=SW10011',
            'linkTellAFriend' => 'shopware.php?sViewport=tellafriend&sDetails=11',
            'linkCheaper' => 'shopware.php?sViewport=cheaper&sDetails=11',
            'sDownloads' => array(),
            'sAccessories' => false,
            'sVoteAverage' => array('average' => '0.00', 'count' => '0',),
            'sVoteComments' => array(),
            'sNavigation' => null,
            'sDescriptionKeywords' => 'ego, nam, edo, vis, Sollertia, se, ile, ferito, os, De, refero, abeo, Personam, arma, texo, arca, Optatus, Refero, penitus, Strepitus',
        )
        ,
        12 => array(
            'articleID' => '12',
            'articleDetailsID' => '18',
            'ordernumber' => 'SW10012',
            'datum' => '2012-08-01',
            'additionaltext' => '',
            'shippingtime' => '',
            'shippingfree' => false,
            'instock' => '60',
            'minpurchase' => 1,
            'notification' => '0',
            'purchasesteps' => 1,
            'maxpurchase' => '100',
            'purchaseunit' => 0.7,
            'referenceunit' => 1,
            'packunit' => 'Flaschen(n)',
            'suppliernumber' => '',
            'ean' => '',
            'weight' => '0.000',
            'laststock' => '0',
            'unitID' => '1',
            'template' => '',
            'pricegroupID' => null,
            'pricegroupActive' => '0',
            'mode' => '0',
            'taxID' => '1',
            'description' => 'Refero Eluo fornax vos illa ora Nutus casus moderor hoc Fides, revolvo vox corium ne eo Decoro. Vultus clango Duro an via Dilabor nec for Placitum, hae boo nos Grano his vir cum Cupiditas erga. Illo apex copia Vexamen pute.',
            'keywords' => '',
            'supplierName' => 'Feinbrennerei Sasse',
            'supplierImg' => 'media/image/sasse.png',
            'supplierID' => '2',
            'supplierDescription' => '',
            'articleName' => 'Kobra Vodka 37,5%',
            'price' => '9,99',
            'sales' => '0',
            'pseudoprice' => '0',
            'pricegroup' => 'EK',
            'tax' => '19.00',
            'attr1' => '',
            'attr2' => '',
            'attr3' => '',
            'attr4' => '',
            'attr5' => '',
            'attr6' => '',
            'attr7' => '',
            'attr8' => '',
            'attr9' => '',
            'attr10' => '',
            'attr11' => '',
            'attr12' => '',
            'attr13' => '',
            'attr14' => '',
            'attr15' => '',
            'attr16' => '',
            'attr17' => null,
            'attr18' => '',
            'attr19' => '',
            'attr20' => '',
            'filtergroupID' => '1',
            'crossbundlelook' => false,
            'sUpcoming' => '0',
            'sReleasedate' => '',
            'sLinks' => array(
                0 => array(
                    'id' => '10',
                    'description' => 'Feinbrennerei Sasse',
                    'link' => 'http://www.sassekorn.de',
                    'target' => '',
                    'supplierSearch' => false,
                ),
                1 => array(
                    'supplierSearch' => true,
                    'description' => 'Feinbrennerei Sasse',
                    'link' => 'shopware.php?sViewport=search&sSearch=2&sSearchMode=supplier&sSearchText=Feinbrennerei+Sasse',
                    'target' => '_parent',
                ),
            ),
            'sRelatedArticles' => array(),
            'sSimilarArticles' => array(
                0 => array(
                    'articleID' => '7',
                    'articleDetailsID' => '249',
                    'ordernumber' => 'SW10007.1',
                    'datum' => '2012-07-10',
                    'sales' => '0',
                    'highlight' => '0',
                    'description' => 'Na exuo plura ut sumo lavo vindex qualiscumque Castellum fere longinquus An se Super. Nec patulum ita tui Designo curso tum Lavo misericordaliter.',
                    'supplierName' => 'Feinbrennerei Sasse',
                    'supplierImg' => 'media/image/sasse.png',
                    'articleName' => 'Wacholder Premium extra mild 32%',
                    'taxID' => '1',
                    'price' => '2,49',
                    'pseudoprice' => '0',
                    'tax' => '19.00',
                    'attr1' => '',
                    'attr2' => '',
                    'attr3' => '',
                    'attr4' => '',
                    'attr5' => '',
                    'attr6' => '',
                    'attr7' => '',
                    'attr8' => '',
                    'attr9' => '',
                    'attr10' => '',
                    'attr11' => '',
                    'attr12' => '',
                    'attr13' => '',
                    'attr14' => '',
                    'attr15' => '',
                    'attr16' => '',
                    'attr17' => null,
                    'attr18' => '',
                    'attr19' => '',
                    'attr20' => '',
                    'instock' => '8',
                    'weight' => '0.000',
                    'shippingtime' => '',
                    'pricegroup' => 'EK',
                    'pricegroupID' => null,
                    'pricegroupActive' => '0',
                    'filtergroupID' => '1',
                    'purchaseunit' => 0.7,
                    'referenceunit' => 1,
                    'unitID' => '1',
                    'laststock' => '0',
                    'additionaltext' => '0,2 Liter',
                    'sConfigurator' => '1',
                    'esd' => '0',
                    'sVoteAverage' => array('average' => 0, 'count' => 0,),
                    'newArticle' => '0',
                    'topseller' => '0',
                    'sUpcoming' => '0',
                    'sReleasedate' => '',
                    'sVariantArticle' => '1',
                    'sReleaseDate' => '',
                    'sProperties' => array(
                        7 => array(
                            'id' => '7',
                            'optionID' => '7',
                            'name' => 'Trinktemperatur',
                            'groupID' => '1',
                            'groupName' => 'Edelbrände',
                            'value' => 'Gekühlt',
                            'valueID' => '35',
                            'nameTranslation' => null,
                            'groupNameTranslation' => null,
                            'valueTranslation' => null,
                            'values' => array(0 => 'Gekühlt',),
                        ),
                        6 => array(
                            'id' => '6',
                            'optionID' => '6',
                            'name' => 'Geschmack',
                            'groupID' => '1',
                            'groupName' => 'Edelbrände',
                            'value' => 'herb',
                            'valueID' => '32',
                            'nameTranslation' => null,
                            'groupNameTranslation' => null,
                            'valueTranslation' => null,
                            'values' => array(0 => 'herb',),
                        ),
                        4 => array(
                            'id' => '4',
                            'optionID' => '4',
                            'name' => 'Farbe',
                            'groupID' => '1',
                            'groupName' => 'Edelbrände',
                            'value' => 'klar',
                            'valueID' => '29',
                            'nameTranslation' => null,
                            'groupNameTranslation' => null,
                            'valueTranslation' => null,
                            'values' => array(0 => 'klar',),
                        ),
                        2 => array(
                            'id' => '2',
                            'optionID' => '2',
                            'name' => 'Flaschengröße',
                            'groupID' => '1',
                            'groupName' => 'Edelbrände',
                            'value' => '0,2 Liter, 0,7 Liter, 1,0 Liter',
                            'valueID' => '22',
                            'nameTranslation' => null,
                            'groupNameTranslation' => null,
                            'valueTranslation' => null,
                            'values' => array(
                                0 => '0,2 Liter',
                                1 => '0,7 Liter',
                                2 => '1,0 Liter',
                            ),
                        ),
                        1 => array(
                            'id' => '1',
                            'optionID' => '1',
                            'name' => 'Alkoholgehalt',
                            'groupID' => '1',
                            'groupName' => 'Edelbrände',
                            'value' => '>30%',
                            'valueID' => '40',
                            'nameTranslation' => null,
                            'groupNameTranslation' => null,
                            'valueTranslation' => null,
                            'values' => array(0 => '>30%',),
                        ),
                    ),
                    'priceStartingFrom' => '2,49',
                    'referenceprice' => '3.5571428571429',
                    'sUnit' => array('unit' => 'l', 'description' => 'Liter',),
                    'image' => array(
                        'src' => array(
                            'original' => 'http://dr.test.shopware.in/next/media/image/WacholderFlasche_frei.jpg',
                            0 => 'http://dr.test.shopware.in/next/media/image/thumbnail/WacholderFlasche_frei_30x30.jpg',
                            1 => 'http://dr.test.shopware.in/next/media/image/thumbnail/WacholderFlasche_frei_57x57.jpg',
                            2 => 'http://dr.test.shopware.in/next/media/image/thumbnail/WacholderFlasche_frei_105x105.jpg',
                            3 => 'http://dr.test.shopware.in/next/media/image/thumbnail/WacholderFlasche_frei_140x140.jpg',
                            4 => 'http://dr.test.shopware.in/next/media/image/thumbnail/WacholderFlasche_frei_285x255.jpg',
                            5 => 'http://dr.test.shopware.in/next/media/image/thumbnail/WacholderFlasche_frei_720x600.jpg',
                        ),
                        'res' => array(
                            'original' => array(
                                'width' => 0,
                                'height' => 0,
                            ),
                            'description' => '',
                        ),
                        'position' => 1,
                        'extension' => 'jpg',
                        'main' => 1,
                        'id' => 19,
                        'parentId' => null,
                        'attribute' => array(),
                    ),
                    'linkBasket' => 'shopware.php?sViewport=basket&sAdd=SW10007.1',
                    'linkDetails' => 'shopware.php?sViewport=detail&sArticle=7',
                    'mode' => 'fix',
                ),
            ),
            'esd' => false,
            'sBlockPrices' => array(),
            'sVariants' => array(),
            'referenceprice' => '14.271',
            'sUnit' => array('unit' => 'l', 'description' => 'Liter',),
            'priceStartingFrom' => 0,
            'image' => array(
                'src' => array(
                    'original' => 'http://dr.test.shopware.in/next/media/image/KobraVodka.jpg',
                    0 => 'http://dr.test.shopware.in/next/media/image/thumbnail/KobraVodka_30x30.jpg',
                    1 => 'http://dr.test.shopware.in/next/media/image/thumbnail/KobraVodka_57x57.jpg',
                    2 => 'http://dr.test.shopware.in/next/media/image/thumbnail/KobraVodka_105x105.jpg',
                    3 => 'http://dr.test.shopware.in/next/media/image/thumbnail/KobraVodka_140x140.jpg',
                    4 => 'http://dr.test.shopware.in/next/media/image/thumbnail/KobraVodka_285x255.jpg',
                    5 => 'http://dr.test.shopware.in/next/media/image/thumbnail/KobraVodka_720x600.jpg',
                ),
                'res' => array(
                    'original' => array('width' => 0, 'height' => 0,),
                    'description' => '',
                ),
                'position' => 1,
                'extension' => 'jpg',
                'main' => 1,
                'id' => 25,
                'parentId' => null,
                'attribute' => array(),
            ),
            'images' => array(),
            'linkBasket' => 'shopware.php?sViewport=basket&sAdd=SW10012',
            'linkDetails' => 'shopware.php?sViewport=detail&sArticle=12',
            'linkDetailsRewrited' => 'http://dr.test.shopware.in/next/genusswelten/12/kobra-vodka-37-5',
            'linkNote' => 'shopware.php?sViewport=note&sAdd=SW10012',
            'linkTellAFriend' => 'shopware.php?sViewport=tellafriend&sDetails=12',
            'linkCheaper' => 'shopware.php?sViewport=cheaper&sDetails=12',
            'sDownloads' => array(),
            'sAccessories' => false,
            'sVoteAverage' => array('average' => '0.00', 'count' => '0',),
            'sVoteComments' => array(),
            'sProperties' => array(
                6 => array(
                    'id' => '6',
                    'optionID' => '6',
                    'name' => 'Geschmack',
                    'groupID' => '1',
                    'groupName' => 'Edelbrände',
                    'value' => 'herb',
                    'valueID' => '32',
                    'nameTranslation' => null,
                    'groupNameTranslation' => null,
                    'valueTranslation' => null,
                    'values' => array(0 => 'herb',),
                ),
                4 => array(
                    'id' => '4',
                    'optionID' => '4',
                    'name' => 'Farbe',
                    'groupID' => '1',
                    'groupName' => 'Edelbrände',
                    'value' => 'klar',
                    'valueID' => '29',
                    'nameTranslation' => null,
                    'groupNameTranslation' => null,
                    'valueTranslation' => null,
                    'values' => array(0 => 'klar',),
                ),
                1 => array(
                    'id' => '1',
                    'optionID' => '1',
                    'name' => 'Alkoholgehalt',
                    'groupID' => '1',
                    'groupName' => 'Edelbrände',
                    'value' => '>30%',
                    'valueID' => '40',
                    'nameTranslation' => null,
                    'groupNameTranslation' => null,
                    'valueTranslation' => null,
                    'values' => array(0 => '>30%',),
                ),
            ),
            'sNavigation' => null,
            'sDescriptionKeywords' => 'alter, res, ut, mei, cum, for, ruo, tam, per, Raptor, contactus, cui, malus, pes, qui, Sero, everbero, ile, castigatus, solator',
        )
        ,
        13 => array(
            'articleID' => '13',
            'articleDetailsID' => '19',
            'ordernumber' => 'SW10013',
            'datum' => '2012-08-07',
            'additionaltext' => '',
            'shippingtime' => '',
            'shippingfree' => false,
            'instock' => '122',
            'minpurchase' => 1,
            'notification' => '0',
            'purchasesteps' => 1,
            'maxpurchase' => '100',
            'purchaseunit' => 10,
            'referenceunit' => 100,
            'packunit' => 'Aromabeutel',
            'suppliernumber' => '',
            'ean' => null,
            'weight' => '0.000',
            'laststock' => '0',
            'unitID' => '2',
            'template' => '',
            'pricegroupID' => null,
            'pricegroupActive' => '0',
            'mode' => '0',
            'taxID' => '1',
            'description' => 'Peragro fugo virus Res qui hic ira quatenus/quatinus Perago tui Pronuntio per pio vel superstes sperno. Spero n.',
            'keywords' => '',
            'supplierName' => 'Teapavilion',
            'supplierImg' => 'media/image/tea.png',
            'supplierID' => '3',
            'supplierDescription' => '',
            'articleName' => 'Pai Mu Tan Tee weiss',
            'price' => '2,50',
            'sales' => '0',
            'pseudoprice' => '0',
            'pricegroup' => 'EK',
            'tax' => '19.00',
            'attr1' => '',
            'attr2' => '',
            'attr3' => '',
            'attr4' => '',
            'attr5' => '',
            'attr6' => '',
            'attr7' => '',
            'attr8' => '',
            'attr9' => '',
            'attr10' => '',
            'attr11' => '',
            'attr12' => '',
            'attr13' => '',
            'attr14' => '',
            'attr15' => '',
            'attr16' => '',
            'attr17' => null,
            'attr18' => '',
            'attr19' => '',
            'attr20' => '',
            'filtergroupID' => null,
            'crossbundlelook' => false,
            'sUpcoming' => '0',
            'sReleasedate' => '',
            'sLinks' => array(
                0 => array(
                    'id' => '12',
                    'description' => 'Teapavilion',
                    'link' => 'http://www.teapavilion.com',
                    'target' => '',
                    'supplierSearch' => false,
                ),
                1 => array(
                    'supplierSearch' => true,
                    'description' => 'Teapavilion',
                    'link' => 'shopware.php?sViewport=search&sSearch=3&sSearchMode=supplier&sSearchText=Teapavilion',
                    'target' => '_parent',
                ),
            ),
            'sRelatedArticles' => array(
                0 => array(
                    'articleID' => '22',
                    'articleDetailsID' => '28',
                    'ordernumber' => 'SW10021',
                    'datum' => '2012-07-16',
                    'sales' => '0',
                    'highlight' => '0',
                    'description' => 'Almus Emitto Bos sicut hae Amplitudo rixa ortus retribuo Vicarius an nam capitagium medius.',
                    'supplierName' => 'Teapavilion',
                    'supplierImg' => 'media/image/tea.png',
                    'articleName' => 'Glas -Teetasse 0,25l',
                    'taxID' => '1',
                    'price' => '13,00',
                    'pseudoprice' => '0',
                    'tax' => '19.00',
                    'attr1' => '',
                    'attr2' => '',
                    'attr3' => '',
                    'attr4' => '',
                    'attr5' => '',
                    'attr6' => '',
                    'attr7' => '',
                    'attr8' => '',
                    'attr9' => '',
                    'attr10' => '',
                    'attr11' => '',
                    'attr12' => '',
                    'attr13' => '',
                    'attr14' => '',
                    'attr15' => '',
                    'attr16' => '',
                    'attr17' => null,
                    'attr18' => '',
                    'attr19' => '',
                    'attr20' => '',
                    'instock' => '3445',
                    'weight' => '0.000',
                    'shippingtime' => '',
                    'pricegroup' => 'EK',
                    'pricegroupID' => null,
                    'pricegroupActive' => '0',
                    'filtergroupID' => null,
                    'purchaseunit' => 0,
                    'referenceunit' => 0,
                    'unitID' => null,
                    'laststock' => '0',
                    'additionaltext' => '',
                    'sConfigurator' => '0',
                    'esd' => '0',
                    'sVoteAverage' => array('average' => 0, 'count' => 0,),
                    'newArticle' => '0',
                    'topseller' => '0',
                    'sUpcoming' => '0',
                    'sReleasedate' => '',
                    'sVariantArticle' => null,
                    'sReleaseDate' => '',
                    'priceStartingFrom' => 0,
                    'image' => array(
                        'src' => array(
                            'original' => 'http://dr.test.shopware.in/next/media/image/Tee-Tasse-Glas.jpg',
                            0 => 'http://dr.test.shopware.in/next/media/image/thumbnail/Tee-Tasse-Glas_30x30.jpg',
                            1 => 'http://dr.test.shopware.in/next/media/image/thumbnail/Tee-Tasse-Glas_57x57.jpg',
                            2 => 'http://dr.test.shopware.in/next/media/image/thumbnail/Tee-Tasse-Glas_105x105.jpg',
                            3 => 'http://dr.test.shopware.in/next/media/image/thumbnail/Tee-Tasse-Glas_140x140.jpg',
                            4 => 'http://dr.test.shopware.in/next/media/image/thumbnail/Tee-Tasse-Glas_285x255.jpg',
                            5 => 'http://dr.test.shopware.in/next/media/image/thumbnail/Tee-Tasse-Glas_720x600.jpg',
                        ),
                        'res' => array(
                            'original' => array(
                                'width' => 0,
                                'height' => 0,
                            ),
                            'description' => '',
                        ),
                        'position' => 1,
                        'extension' => 'jpg',
                        'main' => 1,
                        'id' => 69,
                        'parentId' => null,
                        'attribute' => array(),
                    ),
                    'linkBasket' => 'shopware.php?sViewport=basket&sAdd=SW10021',
                    'linkDetails' => 'shopware.php?sViewport=detail&sArticle=22',
                    'mode' => 'fix',
                ),
                1 => array(
                    'articleID' => '23',
                    'articleDetailsID' => '29',
                    'ordernumber' => 'SW10022',
                    'datum' => '2012-07-16',
                    'sales' => '0',
                    'highlight' => '0',
                    'description' => 'Ivi praebalteata Occumbo congruens seco, lea qui se surculus sed abhinc praejudico in forix curo.',
                    'supplierName' => 'Teapavilion',
                    'supplierImg' => 'media/image/tea.png',
                    'articleName' => 'Glasbecher',
                    'taxID' => '1',
                    'price' => '7,50',
                    'pseudoprice' => '0',
                    'tax' => '19.00',
                    'attr1' => '',
                    'attr2' => '',
                    'attr3' => '',
                    'attr4' => '',
                    'attr5' => '',
                    'attr6' => '',
                    'attr7' => '',
                    'attr8' => '',
                    'attr9' => '',
                    'attr10' => '',
                    'attr11' => '',
                    'attr12' => '',
                    'attr13' => '',
                    'attr14' => '',
                    'attr15' => '',
                    'attr16' => '',
                    'attr17' => null,
                    'attr18' => '',
                    'attr19' => '',
                    'attr20' => '',
                    'instock' => '999',
                    'weight' => '0.000',
                    'shippingtime' => '',
                    'pricegroup' => 'EK',
                    'pricegroupID' => null,
                    'pricegroupActive' => '0',
                    'filtergroupID' => null,
                    'purchaseunit' => 0,
                    'referenceunit' => 0,
                    'unitID' => null,
                    'laststock' => '0',
                    'additionaltext' => '',
                    'sConfigurator' => '0',
                    'esd' => '0',
                    'sVoteAverage' => array('average' => 0, 'count' => 0,),
                    'newArticle' => '0',
                    'topseller' => '0',
                    'sUpcoming' => '0',
                    'sReleasedate' => '',
                    'sVariantArticle' => null,
                    'sReleaseDate' => '',
                    'priceStartingFrom' => 0,
                    'image' => array(
                        'src' => array(
                            'original' => 'http://dr.test.shopware.in/next/media/image/Glasbecher-Seite.jpg',
                            0 => 'http://dr.test.shopware.in/next/media/image/thumbnail/Glasbecher-Seite_30x30.jpg',
                            1 => 'http://dr.test.shopware.in/next/media/image/thumbnail/Glasbecher-Seite_57x57.jpg',
                            2 => 'http://dr.test.shopware.in/next/media/image/thumbnail/Glasbecher-Seite_105x105.jpg',
                            3 => 'http://dr.test.shopware.in/next/media/image/thumbnail/Glasbecher-Seite_140x140.jpg',
                            4 => 'http://dr.test.shopware.in/next/media/image/thumbnail/Glasbecher-Seite_285x255.jpg',
                            5 => 'http://dr.test.shopware.in/next/media/image/thumbnail/Glasbecher-Seite_720x600.jpg',
                        ),
                        'res' => array(
                            'original' => array(
                                'width' => 0,
                                'height' => 0,
                            ),
                            'description' => '',
                        ),
                        'position' => 3,
                        'extension' => 'jpg',
                        'main' => 1,
                        'id' => 73,
                        'parentId' => null,
                        'attribute' => array(),
                    ),
                    'linkBasket' => 'shopware.php?sViewport=basket&sAdd=SW10022',
                    'linkDetails' => 'shopware.php?sViewport=detail&sArticle=23',
                    'mode' => 'fix',
                ),
                2 => array(
                    'articleID' => '25',
                    'articleDetailsID' => '31',
                    'ordernumber' => 'SW10024',
                    'datum' => '2012-07-16',
                    'sales' => '0',
                    'highlight' => '0',
                    'description' => 'lautus penetralis aufero, ut edo voro, os furor alter jus pollicitas preoccupo, ruo ego Opulentia tenus Telum, Labor su.',
                    'supplierName' => 'Teapavilion',
                    'supplierImg' => 'media/image/tea.png',
                    'articleName' => 'Glas-Teekanne',
                    'taxID' => '1',
                    'price' => '41,00',
                    'pseudoprice' => '0',
                    'tax' => '19.00',
                    'attr1' => '',
                    'attr2' => '',
                    'attr3' => '',
                    'attr4' => '',
                    'attr5' => '',
                    'attr6' => '',
                    'attr7' => '',
                    'attr8' => '',
                    'attr9' => '',
                    'attr10' => '',
                    'attr11' => '',
                    'attr12' => '',
                    'attr13' => '',
                    'attr14' => '',
                    'attr15' => '',
                    'attr16' => '',
                    'attr17' => null,
                    'attr18' => '',
                    'attr19' => '',
                    'attr20' => '',
                    'instock' => '544',
                    'weight' => '0.000',
                    'shippingtime' => '',
                    'pricegroup' => 'EK',
                    'pricegroupID' => null,
                    'pricegroupActive' => '0',
                    'filtergroupID' => null,
                    'purchaseunit' => 0,
                    'referenceunit' => 0,
                    'unitID' => null,
                    'laststock' => '0',
                    'additionaltext' => '',
                    'sConfigurator' => '0',
                    'esd' => '0',
                    'sVoteAverage' => array('average' => 0, 'count' => 0,),
                    'newArticle' => '0',
                    'topseller' => '0',
                    'sUpcoming' => '0',
                    'sReleasedate' => '',
                    'sVariantArticle' => null,
                    'sReleaseDate' => '',
                    'priceStartingFrom' => 0,
                    'image' => array(
                        'src' => array(
                            'original' => 'http://dr.test.shopware.in/next/media/image/Teekanne-Glas-Zubehoer.jpg',
                            0 => 'http://dr.test.shopware.in/next/media/image/thumbnail/Teekanne-Glas-Zubehoer_30x30.jpg',
                            1 => 'http://dr.test.shopware.in/next/media/image/thumbnail/Teekanne-Glas-Zubehoer_57x57.jpg',
                            2 => 'http://dr.test.shopware.in/next/media/image/thumbnail/Teekanne-Glas-Zubehoer_105x105.jpg',
                            3 => 'http://dr.test.shopware.in/next/media/image/thumbnail/Teekanne-Glas-Zubehoer_140x140.jpg',
                            4 => 'http://dr.test.shopware.in/next/media/image/thumbnail/Teekanne-Glas-Zubehoer_285x255.jpg',
                            5 => 'http://dr.test.shopware.in/next/media/image/thumbnail/Teekanne-Glas-Zubehoer_720x600.jpg',
                        ),
                        'res' => array(
                            'original' => array(
                                'width' => 0,
                                'height' => 0,
                            ),
                            'description' => '',
                        ),
                        'position' => 3,
                        'extension' => 'jpg',
                        'main' => 1,
                        'id' => 79,
                        'parentId' => null,
                        'attribute' => array(),
                    ),
                    'linkBasket' => 'shopware.php?sViewport=basket&sAdd=SW10024',
                    'linkDetails' => 'shopware.php?sViewport=detail&sArticle=25',
                    'mode' => 'fix',
                ),
                3 => array(
                    'articleID' => '26',
                    'articleDetailsID' => '32',
                    'ordernumber' => 'SW10025',
                    'datum' => '2012-07-16',
                    'sales' => '0',
                    'highlight' => '0',
                    'description' => 'Hoc eia quin administratio corium proh ille derideo Vulnero contingo impenetrabiilis incompositus Via magnificabiliter Oportet for Nec hae esculentus pro.',
                    'supplierName' => 'Teapavilion',
                    'supplierImg' => 'media/image/tea.png',
                    'articleName' => 'Glas Teezubereiter',
                    'taxID' => '1',
                    'price' => '21,00',
                    'pseudoprice' => '0',
                    'tax' => '19.00',
                    'attr1' => '',
                    'attr2' => '',
                    'attr3' => '',
                    'attr4' => '',
                    'attr5' => '',
                    'attr6' => '',
                    'attr7' => '',
                    'attr8' => '',
                    'attr9' => '',
                    'attr10' => '',
                    'attr11' => '',
                    'attr12' => '',
                    'attr13' => '',
                    'attr14' => '',
                    'attr15' => '',
                    'attr16' => '',
                    'attr17' => null,
                    'attr18' => '',
                    'attr19' => '',
                    'attr20' => '',
                    'instock' => '888',
                    'weight' => '0.000',
                    'shippingtime' => '',
                    'pricegroup' => 'EK',
                    'pricegroupID' => null,
                    'pricegroupActive' => '0',
                    'filtergroupID' => null,
                    'purchaseunit' => 0,
                    'referenceunit' => 0,
                    'unitID' => null,
                    'laststock' => '0',
                    'additionaltext' => '',
                    'sConfigurator' => '0',
                    'esd' => '0',
                    'sVoteAverage' => array('average' => 0, 'count' => 0,),
                    'newArticle' => '0',
                    'topseller' => '0',
                    'sUpcoming' => '0',
                    'sReleasedate' => '',
                    'sVariantArticle' => null,
                    'sReleaseDate' => '',
                    'priceStartingFrom' => 0,
                    'image' => array(
                        'src' => array(
                            'original' => 'http://dr.test.shopware.in/next/media/image/Glas-Teezubereiter-Seite.jpg',
                            0 => 'http://dr.test.shopware.in/next/media/image/thumbnail/Glas-Teezubereiter-Seite_30x30.jpg',
                            1 => 'http://dr.test.shopware.in/next/media/image/thumbnail/Glas-Teezubereiter-Seite_57x57.jpg',
                            2 => 'http://dr.test.shopware.in/next/media/image/thumbnail/Glas-Teezubereiter-Seite_105x105.jpg',
                            3 => 'http://dr.test.shopware.in/next/media/image/thumbnail/Glas-Teezubereiter-Seite_140x140.jpg',
                            4 => 'http://dr.test.shopware.in/next/media/image/thumbnail/Glas-Teezubereiter-Seite_285x255.jpg',
                            5 => 'http://dr.test.shopware.in/next/media/image/thumbnail/Glas-Teezubereiter-Seite_720x600.jpg',
                        ),
                        'res' => array(
                            'original' => array(
                                'width' => 0,
                                'height' => 0,
                            ),
                            'description' => '',
                        ),
                        'position' => 3,
                        'extension' => 'jpg',
                        'main' => 1,
                        'id' => 82,
                        'parentId' => null,
                        'attribute' => array(),
                    ),
                    'linkBasket' => 'shopware.php?sViewport=basket&sAdd=SW10025',
                    'linkDetails' => 'shopware.php?sViewport=detail&sArticle=26',
                    'mode' => 'fix',
                ),
            ),
            'sSimilarArticles' => array(
                0 => array(
                    'articleID' => '15',
                    'articleDetailsID' => '21',
                    'ordernumber' => 'SW10015',
                    'datum' => '2012-07-16',
                    'sales' => '0',
                    'highlight' => '1',
                    'description' => 'A barathrum lA barathrum lex dictata sesquimellesimus per, nox hic adfero Quin capreolus immo Quod consulo post vermis aura to Pala iam Violenter aro substrictus ius Objurgo vitupero.ex dictata sesquimellesimus per, nox hic adfero Quin capreolus immo Quod consulo post vermis aura to Pala iam Violenter aro substrictus ius Objurgo vitupero.',
                    'supplierName' => 'Teapavilion',
                    'supplierImg' => 'media/image/tea.png',
                    'articleName' => 'LUNG CHING grüner Tee',
                    'taxID' => '1',
                    'price' => '2,40',
                    'pseudoprice' => '0',
                    'tax' => '19.00',
                    'attr1' => '',
                    'attr2' => '',
                    'attr3' => '',
                    'attr4' => '',
                    'attr5' => '',
                    'attr6' => '',
                    'attr7' => '',
                    'attr8' => '',
                    'attr9' => '',
                    'attr10' => '',
                    'attr11' => '',
                    'attr12' => '',
                    'attr13' => '',
                    'attr14' => '',
                    'attr15' => '',
                    'attr16' => '',
                    'attr17' => null,
                    'attr18' => '',
                    'attr19' => '',
                    'attr20' => '',
                    'instock' => '15',
                    'weight' => '0.000',
                    'shippingtime' => '',
                    'pricegroup' => 'EK',
                    'pricegroupID' => null,
                    'pricegroupActive' => '0',
                    'filtergroupID' => null,
                    'purchaseunit' => 10,
                    'referenceunit' => 100,
                    'unitID' => '2',
                    'laststock' => '0',
                    'additionaltext' => '',
                    'sConfigurator' => '0',
                    'esd' => '0',
                    'sVoteAverage' => array('average' => 0, 'count' => 0,),
                    'newArticle' => '0',
                    'topseller' => '0',
                    'sUpcoming' => '0',
                    'sReleasedate' => '',
                    'sVariantArticle' => null,
                    'sReleaseDate' => '',
                    'priceStartingFrom' => 0,
                    'referenceprice' => '24.00',
                    'sUnit' => array('unit' => 'g', 'description' => 'Gramm',),
                    'image' => array(
                        'src' => array(
                            'original' => 'http://dr.test.shopware.in/next/media/image/Tee-gruen-Lung-Ching.jpg',
                            0 => 'http://dr.test.shopware.in/next/media/image/thumbnail/Tee-gruen-Lung-Ching_30x30.jpg',
                            1 => 'http://dr.test.shopware.in/next/media/image/thumbnail/Tee-gruen-Lung-Ching_57x57.jpg',
                            2 => 'http://dr.test.shopware.in/next/media/image/thumbnail/Tee-gruen-Lung-Ching_105x105.jpg',
                            3 => 'http://dr.test.shopware.in/next/media/image/thumbnail/Tee-gruen-Lung-Ching_140x140.jpg',
                            4 => 'http://dr.test.shopware.in/next/media/image/thumbnail/Tee-gruen-Lung-Ching_285x255.jpg',
                            5 => 'http://dr.test.shopware.in/next/media/image/thumbnail/Tee-gruen-Lung-Ching_720x600.jpg',
                        ),
                        'res' => array(
                            'original' => array(
                                'width' => 0,
                                'height' => 0,
                            ),
                            'description' => '',
                        ),
                        'position' => 4,
                        'extension' => 'jpg',
                        'main' => 1,
                        'id' => 55,
                        'parentId' => null,
                        'attribute' => array(),
                    ),
                    'linkBasket' => 'shopware.php?sViewport=basket&sAdd=SW10015',
                    'linkDetails' => 'shopware.php?sViewport=detail&sArticle=15',
                    'mode' => 'fix',
                ),
                1 => array(
                    'articleID' => '17',
                    'articleDetailsID' => '23',
                    'ordernumber' => 'SW10016',
                    'datum' => '2012-07-16',
                    'sales' => '0',
                    'highlight' => '0',
                    'description' => 'Multi adeo Valeo fatuo ut subdo for tam malum mico pallor, ruo at macto sero trimodus Labor Comminor tribuo lanx se Excolo coniecto ter fama do sensus Cardo Iam forda Foris flax sol se murus timor palor munita pluris coepto',
                    'supplierName' => 'Teapavilion',
                    'supplierImg' => 'media/image/tea.png',
                    'articleName' => 'Mao Feng grüner Tee',
                    'taxID' => '1',
                    'price' => '1,90',
                    'pseudoprice' => '0',
                    'tax' => '19.00',
                    'attr1' => '',
                    'attr2' => '',
                    'attr3' => '',
                    'attr4' => '',
                    'attr5' => '',
                    'attr6' => '',
                    'attr7' => '',
                    'attr8' => '',
                    'attr9' => '',
                    'attr10' => '',
                    'attr11' => '',
                    'attr12' => '',
                    'attr13' => '',
                    'attr14' => '',
                    'attr15' => '',
                    'attr16' => '',
                    'attr17' => null,
                    'attr18' => '',
                    'attr19' => '',
                    'attr20' => '',
                    'instock' => '80',
                    'weight' => '0.000',
                    'shippingtime' => '',
                    'pricegroup' => 'EK',
                    'pricegroupID' => null,
                    'pricegroupActive' => '0',
                    'filtergroupID' => null,
                    'purchaseunit' => 10,
                    'referenceunit' => 100,
                    'unitID' => '2',
                    'laststock' => '0',
                    'additionaltext' => '',
                    'sConfigurator' => '0',
                    'esd' => '0',
                    'sVoteAverage' => array('average' => 0, 'count' => 0,),
                    'newArticle' => '0',
                    'topseller' => '0',
                    'sUpcoming' => '0',
                    'sReleasedate' => '',
                    'sVariantArticle' => null,
                    'sReleaseDate' => '',
                    'priceStartingFrom' => 0,
                    'referenceprice' => '19.00',
                    'sUnit' => array('unit' => 'g', 'description' => 'Gramm',),
                    'image' => array(
                        'src' => array(
                            'original' => 'http://dr.test.shopware.in/next/media/image/Tee-gruen-Mao-Feng.jpg',
                            0 => 'http://dr.test.shopware.in/next/media/image/thumbnail/Tee-gruen-Mao-Feng_30x30.jpg',
                            1 => 'http://dr.test.shopware.in/next/media/image/thumbnail/Tee-gruen-Mao-Feng_57x57.jpg',
                            2 => 'http://dr.test.shopware.in/next/media/image/thumbnail/Tee-gruen-Mao-Feng_105x105.jpg',
                            3 => 'http://dr.test.shopware.in/next/media/image/thumbnail/Tee-gruen-Mao-Feng_140x140.jpg',
                            4 => 'http://dr.test.shopware.in/next/media/image/thumbnail/Tee-gruen-Mao-Feng_285x255.jpg',
                            5 => 'http://dr.test.shopware.in/next/media/image/thumbnail/Tee-gruen-Mao-Feng_720x600.jpg',
                        ),
                        'res' => array(
                            'original' => array(
                                'width' => 0,
                                'height' => 0,
                            ),
                            'description' => '',
                        ),
                        'position' => 4,
                        'extension' => 'jpg',
                        'main' => 1,
                        'id' => 51,
                        'parentId' => null,
                        'attribute' => array(),
                    ),
                    'linkBasket' => 'shopware.php?sViewport=basket&sAdd=SW10016',
                    'linkDetails' => 'shopware.php?sViewport=detail&sArticle=17',
                    'mode' => 'fix',
                ),
                2 => array(
                    'articleID' => '19',
                    'articleDetailsID' => '25',
                    'ordernumber' => 'SW10018',
                    'datum' => '2012-07-16',
                    'sales' => '0',
                    'highlight' => '0',
                    'description' => 'Per tu fere ibi famen denuntio, specus orbis is Limen, texo boo aut adhuc intolerabiliter opportune tres, mico ex fugio prodigialiter. ',
                    'supplierName' => 'Teapavilion',
                    'supplierImg' => 'media/image/tea.png',
                    'articleName' => 'Oriental Jasmine Tee',
                    'taxID' => '1',
                    'price' => '1,75',
                    'pseudoprice' => '0',
                    'tax' => '19.00',
                    'attr1' => '',
                    'attr2' => '',
                    'attr3' => '',
                    'attr4' => '',
                    'attr5' => '',
                    'attr6' => '',
                    'attr7' => '',
                    'attr8' => '',
                    'attr9' => '',
                    'attr10' => '',
                    'attr11' => '',
                    'attr12' => '',
                    'attr13' => '',
                    'attr14' => '',
                    'attr15' => '',
                    'attr16' => '',
                    'attr17' => null,
                    'attr18' => '',
                    'attr19' => '',
                    'attr20' => '',
                    'instock' => '88',
                    'weight' => '0.000',
                    'shippingtime' => '',
                    'pricegroup' => 'EK',
                    'pricegroupID' => null,
                    'pricegroupActive' => '0',
                    'filtergroupID' => null,
                    'purchaseunit' => 10,
                    'referenceunit' => 100,
                    'unitID' => '2',
                    'laststock' => '0',
                    'additionaltext' => '',
                    'sConfigurator' => '0',
                    'esd' => '0',
                    'sVoteAverage' => array('average' => 0, 'count' => 0,),
                    'newArticle' => '0',
                    'topseller' => '0',
                    'sUpcoming' => '0',
                    'sReleasedate' => '',
                    'sVariantArticle' => null,
                    'sReleaseDate' => '',
                    'priceStartingFrom' => 0,
                    'referenceprice' => '17.50',
                    'sUnit' => array('unit' => 'g', 'description' => 'Gramm',),
                    'image' => array(
                        'src' => array(
                            'original' => 'http://dr.test.shopware.in/next/media/image/Tee-Oriental-Jasmine.jpg',
                            0 => 'http://dr.test.shopware.in/next/media/image/thumbnail/Tee-Oriental-Jasmine_30x30.jpg',
                            1 => 'http://dr.test.shopware.in/next/media/image/thumbnail/Tee-Oriental-Jasmine_57x57.jpg',
                            2 => 'http://dr.test.shopware.in/next/media/image/thumbnail/Tee-Oriental-Jasmine_105x105.jpg',
                            3 => 'http://dr.test.shopware.in/next/media/image/thumbnail/Tee-Oriental-Jasmine_140x140.jpg',
                            4 => 'http://dr.test.shopware.in/next/media/image/thumbnail/Tee-Oriental-Jasmine_285x255.jpg',
                            5 => 'http://dr.test.shopware.in/next/media/image/thumbnail/Tee-Oriental-Jasmine_720x600.jpg',
                        ),
                        'res' => array(
                            'original' => array(
                                'width' => 0,
                                'height' => 0,
                            ),
                            'description' => '',
                        ),
                        'position' => 4,
                        'extension' => 'jpg',
                        'main' => 1,
                        'id' => 59,
                        'parentId' => null,
                        'attribute' => array(),
                    ),
                    'linkBasket' => 'shopware.php?sViewport=basket&sAdd=SW10018',
                    'linkDetails' => 'shopware.php?sViewport=detail&sArticle=19',
                    'mode' => 'fix',
                ),
                3 => array(
                    'articleID' => '20',
                    'articleDetailsID' => '26',
                    'ordernumber' => 'SW10019',
                    'datum' => '2012-07-16',
                    'sales' => '0',
                    'highlight' => '0',
                    'description' => 'Tumulosus profundus pax Parum ne edo aggero articulus pax ait Emiror effluo Tunc iam vas, ac per Faber industria, lepor via inhoneste fastus, gelidus parco negligentia in sane apto peto succumbo opusculus extimus os produco Quendam eximo iam Expando dolor immo expilatio ex balena, far plura upilio Aliquo ex vivax.',
                    'supplierName' => 'Teapavilion',
                    'supplierImg' => 'media/image/tea.png',
                    'articleName' => 'Jasmine Phoenix Tee',
                    'taxID' => '1',
                    'price' => '2,85',
                    'pseudoprice' => '0',
                    'tax' => '19.00',
                    'attr1' => '',
                    'attr2' => '',
                    'attr3' => '',
                    'attr4' => '',
                    'attr5' => '',
                    'attr6' => '',
                    'attr7' => '',
                    'attr8' => '',
                    'attr9' => '',
                    'attr10' => '',
                    'attr11' => '',
                    'attr12' => '',
                    'attr13' => '',
                    'attr14' => '',
                    'attr15' => '',
                    'attr16' => '',
                    'attr17' => null,
                    'attr18' => '',
                    'attr19' => '',
                    'attr20' => '',
                    'instock' => '168',
                    'weight' => '0.000',
                    'shippingtime' => '',
                    'pricegroup' => 'EK',
                    'pricegroupID' => null,
                    'pricegroupActive' => '0',
                    'filtergroupID' => null,
                    'purchaseunit' => 10,
                    'referenceunit' => 100,
                    'unitID' => '2',
                    'laststock' => '0',
                    'additionaltext' => '',
                    'sConfigurator' => '0',
                    'esd' => '0',
                    'sVoteAverage' => array('average' => 0, 'count' => 0,),
                    'newArticle' => '0',
                    'topseller' => '0',
                    'sUpcoming' => '0',
                    'sReleasedate' => '',
                    'sVariantArticle' => null,
                    'sReleaseDate' => '',
                    'priceStartingFrom' => 0,
                    'referenceprice' => '28.50',
                    'sUnit' => array('unit' => 'g', 'description' => 'Gramm',),
                    'image' => array(
                        'src' => array(
                            'original' => 'http://dr.test.shopware.in/next/media/image/Tee-Jasmine-Phoenix-Pearls.jpg',
                            0 => 'http://dr.test.shopware.in/next/media/image/thumbnail/Tee-Jasmine-Phoenix-Pearls_30x30.jpg',
                            1 => 'http://dr.test.shopware.in/next/media/image/thumbnail/Tee-Jasmine-Phoenix-Pearls_57x57.jpg',
                            2 => 'http://dr.test.shopware.in/next/media/image/thumbnail/Tee-Jasmine-Phoenix-Pearls_105x105.jpg',
                            3 => 'http://dr.test.shopware.in/next/media/image/thumbnail/Tee-Jasmine-Phoenix-Pearls_140x140.jpg',
                            4 => 'http://dr.test.shopware.in/next/media/image/thumbnail/Tee-Jasmine-Phoenix-Pearls_285x255.jpg',
                            5 => 'http://dr.test.shopware.in/next/media/image/thumbnail/Tee-Jasmine-Phoenix-Pearls_720x600.jpg',
                        ),
                        'res' => array(
                            'original' => array(
                                'width' => 0,
                                'height' => 0,
                            ),
                            'description' => '',
                        ),
                        'position' => 4,
                        'extension' => 'jpg',
                        'main' => 1,
                        'id' => 47,
                        'parentId' => null,
                        'attribute' => array(),
                    ),
                    'linkBasket' => 'shopware.php?sViewport=basket&sAdd=SW10019',
                    'linkDetails' => 'shopware.php?sViewport=detail&sArticle=20',
                    'mode' => 'fix',
                ),
                4 => array(
                    'articleID' => '21',
                    'articleDetailsID' => '27',
                    'ordernumber' => 'SW10020',
                    'datum' => '2012-07-16',
                    'sales' => '0',
                    'highlight' => '0',
                    'description' => 'To Gelidus ferveo Res hos Non ipse sono illico qui funis se. Ait alter acer piscator, tam Dum ars agna Celox subo ut vae, hic et sordesco, lux te ile Respectus ventosus. Efficax ala quo Scitus jus effor Conatus raptor, red.',
                    'supplierName' => 'Teapavilion',
                    'supplierImg' => 'media/image/tea.png',
                    'articleName' => 'Jasmine Lotus Tee',
                    'taxID' => '1',
                    'price' => '2,95',
                    'pseudoprice' => '0',
                    'tax' => '19.00',
                    'attr1' => '',
                    'attr2' => '',
                    'attr3' => '',
                    'attr4' => '',
                    'attr5' => '',
                    'attr6' => '',
                    'attr7' => '',
                    'attr8' => '',
                    'attr9' => '',
                    'attr10' => '',
                    'attr11' => '',
                    'attr12' => '',
                    'attr13' => '',
                    'attr14' => '',
                    'attr15' => '',
                    'attr16' => '',
                    'attr17' => null,
                    'attr18' => '',
                    'attr19' => '',
                    'attr20' => '',
                    'instock' => '88',
                    'weight' => '0.000',
                    'shippingtime' => '',
                    'pricegroup' => 'EK',
                    'pricegroupID' => null,
                    'pricegroupActive' => '0',
                    'filtergroupID' => null,
                    'purchaseunit' => 10,
                    'referenceunit' => 100,
                    'unitID' => '2',
                    'laststock' => '0',
                    'additionaltext' => '',
                    'sConfigurator' => '0',
                    'esd' => '0',
                    'sVoteAverage' => array('average' => 0, 'count' => 0,),
                    'newArticle' => '0',
                    'topseller' => '0',
                    'sUpcoming' => '0',
                    'sReleasedate' => '',
                    'sVariantArticle' => null,
                    'sReleaseDate' => '',
                    'priceStartingFrom' => 0,
                    'referenceprice' => '29.50',
                    'sUnit' => array('unit' => 'g', 'description' => 'Gramm',),
                    'image' => array(
                        'src' => array(
                            'original' => 'http://dr.test.shopware.in/next/media/image/Tee-Jasmine-Lotus.jpg',
                            0 => 'http://dr.test.shopware.in/next/media/image/thumbnail/Tee-Jasmine-Lotus_30x30.jpg',
                            1 => 'http://dr.test.shopware.in/next/media/image/thumbnail/Tee-Jasmine-Lotus_57x57.jpg',
                            2 => 'http://dr.test.shopware.in/next/media/image/thumbnail/Tee-Jasmine-Lotus_105x105.jpg',
                            3 => 'http://dr.test.shopware.in/next/media/image/thumbnail/Tee-Jasmine-Lotus_140x140.jpg',
                            4 => 'http://dr.test.shopware.in/next/media/image/thumbnail/Tee-Jasmine-Lotus_285x255.jpg',
                            5 => 'http://dr.test.shopware.in/next/media/image/thumbnail/Tee-Jasmine-Lotus_720x600.jpg',
                        ),
                        'res' => array(
                            'original' => array(
                                'width' => 0,
                                'height' => 0,
                            ),
                            'description' => '',
                        ),
                        'position' => 4,
                        'extension' => 'jpg',
                        'main' => 1,
                        'id' => 67,
                        'parentId' => null,
                        'attribute' => array(),
                    ),
                    'linkBasket' => 'shopware.php?sViewport=basket&sAdd=SW10020',
                    'linkDetails' => 'shopware.php?sViewport=detail&sArticle=21',
                    'mode' => 'fix',
                ),
            ),
            'esd' => false,
            'sBlockPrices' => array(),
            'sVariants' => array(),
            'referenceprice' => '25.00',
            'sUnit' => array('unit' => 'g', 'description' => 'Gramm',),
            'priceStartingFrom' => 0,
            'image' => array(
                'src' => array(
                    'original' => 'http://dr.test.shopware.in/next/media/image/Tee-weiss-Pai-Mu-Tan.jpg',
                    0 => 'http://dr.test.shopware.in/next/media/image/thumbnail/Tee-weiss-Pai-Mu-Tan_30x30.jpg',
                    1 => 'http://dr.test.shopware.in/next/media/image/thumbnail/Tee-weiss-Pai-Mu-Tan_57x57.jpg',
                    2 => 'http://dr.test.shopware.in/next/media/image/thumbnail/Tee-weiss-Pai-Mu-Tan_105x105.jpg',
                    3 => 'http://dr.test.shopware.in/next/media/image/thumbnail/Tee-weiss-Pai-Mu-Tan_140x140.jpg',
                    4 => 'http://dr.test.shopware.in/next/media/image/thumbnail/Tee-weiss-Pai-Mu-Tan_285x255.jpg',
                    5 => 'http://dr.test.shopware.in/next/media/image/thumbnail/Tee-weiss-Pai-Mu-Tan_720x600.jpg',
                ),
                'res' => array(
                    'original' => array('width' => 0, 'height' => 0,),
                    'description' => '',
                ),
                'position' => 3,
                'extension' => 'jpg',
                'main' => 1,
                'id' => 28,
                'parentId' => null,
                'attribute' => array(),
            ),
            'images' => array(
                0 => array(
                    'src' => array(
                        'original' => 'http://dr.test.shopware.in/next/media/image/Tee-weiss-Pai-Mu-Tan-Dose.jpg',
                        0 => 'http://dr.test.shopware.in/next/media/image/thumbnail/Tee-weiss-Pai-Mu-Tan-Dose_30x30.jpg',
                        1 => 'http://dr.test.shopware.in/next/media/image/thumbnail/Tee-weiss-Pai-Mu-Tan-Dose_57x57.jpg',
                        2 => 'http://dr.test.shopware.in/next/media/image/thumbnail/Tee-weiss-Pai-Mu-Tan-Dose_105x105.jpg',
                        3 => 'http://dr.test.shopware.in/next/media/image/thumbnail/Tee-weiss-Pai-Mu-Tan-Dose_140x140.jpg',
                        4 => 'http://dr.test.shopware.in/next/media/image/thumbnail/Tee-weiss-Pai-Mu-Tan-Dose_285x255.jpg',
                        5 => 'http://dr.test.shopware.in/next/media/image/thumbnail/Tee-weiss-Pai-Mu-Tan-Dose_720x600.jpg',
                    ),
                    'res' => array(
                        'original' => array('width' => 0, 'height' => 0,),
                        'description' => '',
                    ),
                    'position' => 1,
                    'extension' => 'jpg',
                    'main' => 2,
                    'id' => 26,
                    'parentId' => null,
                    'attribute' => array(),
                ),
                1 => array(
                    'src' => array(
                        'original' => 'http://dr.test.shopware.in/next/media/image/Tee-weiss-Pai-Mu-Tan-Schale.jpg',
                        0 => 'http://dr.test.shopware.in/next/media/image/thumbnail/Tee-weiss-Pai-Mu-Tan-Schale_30x30.jpg',
                        1 => 'http://dr.test.shopware.in/next/media/image/thumbnail/Tee-weiss-Pai-Mu-Tan-Schale_57x57.jpg',
                        2 => 'http://dr.test.shopware.in/next/media/image/thumbnail/Tee-weiss-Pai-Mu-Tan-Schale_105x105.jpg',
                        3 => 'http://dr.test.shopware.in/next/media/image/thumbnail/Tee-weiss-Pai-Mu-Tan-Schale_140x140.jpg',
                        4 => 'http://dr.test.shopware.in/next/media/image/thumbnail/Tee-weiss-Pai-Mu-Tan-Schale_285x255.jpg',
                        5 => 'http://dr.test.shopware.in/next/media/image/thumbnail/Tee-weiss-Pai-Mu-Tan-Schale_720x600.jpg',
                    ),
                    'res' => array(
                        'original' => array('width' => 0, 'height' => 0,),
                        'description' => '',
                    ),
                    'position' => 2,
                    'extension' => 'jpg',
                    'main' => 2,
                    'id' => 27,
                    'parentId' => null,
                    'attribute' => array(),
                ),
                2 => array(
                    'src' => array(
                        'original' => 'http://dr.test.shopware.in/next/media/image/Tee-weiss-Pai-Mu-Anbaugebiet.jpg',
                        0 => 'http://dr.test.shopware.in/next/media/image/thumbnail/Tee-weiss-Pai-Mu-Anbaugebiet_30x30.jpg',
                        1 => 'http://dr.test.shopware.in/next/media/image/thumbnail/Tee-weiss-Pai-Mu-Anbaugebiet_57x57.jpg',
                        2 => 'http://dr.test.shopware.in/next/media/image/thumbnail/Tee-weiss-Pai-Mu-Anbaugebiet_105x105.jpg',
                        3 => 'http://dr.test.shopware.in/next/media/image/thumbnail/Tee-weiss-Pai-Mu-Anbaugebiet_140x140.jpg',
                        4 => 'http://dr.test.shopware.in/next/media/image/thumbnail/Tee-weiss-Pai-Mu-Anbaugebiet_285x255.jpg',
                        5 => 'http://dr.test.shopware.in/next/media/image/thumbnail/Tee-weiss-Pai-Mu-Anbaugebiet_720x600.jpg',
                    ),
                    'res' => array(
                        'original' => array('width' => 0, 'height' => 0,),
                        'description' => '',
                    ),
                    'position' => 4,
                    'extension' => 'jpg',
                    'main' => 2,
                    'id' => 43,
                    'parentId' => null,
                    'attribute' => array(),
                ),
            ),
            'linkBasket' => 'shopware.php?sViewport=basket&sAdd=SW10013',
            'linkDetails' => 'shopware.php?sViewport=detail&sArticle=13',
            'linkDetailsRewrited' => 'http://dr.test.shopware.in/next/genusswelten/tees-und-zubeh/13/pai-mu-tan-tee-weiss',
            'linkNote' => 'shopware.php?sViewport=note&sAdd=SW10013',
            'linkTellAFriend' => 'shopware.php?sViewport=tellafriend&sDetails=13',
            'linkCheaper' => 'shopware.php?sViewport=cheaper&sDetails=13',
            'sDownloads' => array(),
            'sAccessories' => false,
            'sVoteAverage' => array('average' => '0.00', 'count' => '0',),
            'sVoteComments' => array(),
            'sNavigation' => null,
            'sDescriptionKeywords' => 'vis, me, nec, pie, do, nos, qua, perfringo, de, hi, se, crus, In, ora, ius, os, to, Maxime, congelo, extrico',
        )
        ,
        122 => array(
            'articleID' => '122',
            'articleDetailsID' => '256',
            'ordernumber' => 'SW10123.1',
            'datum' => '2012-07-16',
            'additionaltext' => '0,2 Liter',
            'shippingtime' => '',
            'shippingfree' => false,
            'instock' => '78',
            'minpurchase' => 1,
            'notification' => '0',
            'purchasesteps' => 1,
            'maxpurchase' => '100',
            'purchaseunit' => 0.2,
            'referenceunit' => 1,
            'packunit' => 'Flasche(n)',
            'suppliernumber' => '',
            'ean' => '',
            'weight' => '0.000',
            'laststock' => '0',
            'unitID' => '1',
            'template' => '',
            'pricegroupID' => null,
            'pricegroupActive' => '0',
            'mode' => '0',
            'taxID' => '1',
            'description' => 'nam caedo Mensa voro deprecatio par per laqueus Promo Marcieniensis quicumque adula.',
            'keywords' => '',
            'supplierName' => 'Feinbrennerei Sasse',
            'supplierImg' => 'media/image/sasse.png',
            'supplierID' => '2',
            'supplierDescription' => '',
            'articleName' => 'Sasse Korn 32%',
            'price' => '2,99',
            'sales' => '0',
            'pseudoprice' => '0',
            'pricegroup' => 'EK',
            'tax' => '19.00',
            'attr1' => '',
            'attr2' => '',
            'attr3' => '',
            'attr4' => '',
            'attr5' => '',
            'attr6' => '',
            'attr7' => '',
            'attr8' => '',
            'attr9' => '',
            'attr10' => '',
            'attr11' => '',
            'attr12' => '',
            'attr13' => '',
            'attr14' => '',
            'attr15' => '',
            'attr16' => '',
            'attr17' => null,
            'attr18' => '',
            'attr19' => '',
            'attr20' => '',
            'filtergroupID' => '1',
            'crossbundlelook' => false,
            'sUpcoming' => '0',
            'sReleasedate' => '',
            'sLinks' => array(
                0 => array(
                    'id' => '101',
                    'description' => 'Feinbrennerei Sasse',
                    'link' => 'http://www.sassekorn.de/',
                    'target' => '',
                    'supplierSearch' => false,
                ),
                1 => array(
                    'supplierSearch' => true,
                    'description' => 'Feinbrennerei Sasse',
                    'link' => 'shopware.php?sViewport=search&sSearch=2&sSearchMode=supplier&sSearchText=Feinbrennerei+Sasse',
                    'target' => '_parent',
                ),
            ),
            'sRelatedArticles' => array(),
            'sSimilarArticles' => array(),
            'esd' => false,
            'sBlockPrices' => array(),
            'sVariants' => array(),
            'referenceprice' => '14.95',
            'sUnit' => array('unit' => 'l', 'description' => 'Liter',),
            'priceStartingFrom' => '2,99',
            'quantity' => 1,
            'active' => 1,
            'sConfiguratorValues' => array(),
            'sConfigurator' => array(
                0 => array(
                    'groupID' => 5,
                    'groupname' => 'Flascheninhalt',
                    'groupnameOrig' => 'Flascheninhalt',
                    'groupdescription' => null,
                    'groupdescriptionOrig' => null,
                    'groupimage' => '',
                    'postion' => 3,
                    'selected_value' => null,
                    'selected' => false,
                    'values' => array(
                        11 => array(
                            'optionID' => 11,
                            'groupID' => 5,
                            'optionnameOrig' => '0,2 Liter',
                            'optionname' => '0,2 Liter',
                            'optionposition' => 1,
                            'optionactive' => 1,
                            'user_selected' => 1,
                            'selected' => 1,
                        ),
                        12 => array(
                            'optionID' => 12,
                            'groupID' => 5,
                            'optionnameOrig' => '0,7 Liter',
                            'optionname' => '0,7 Liter',
                            'optionposition' => 2,
                            'optionactive' => 1,
                            'user_selected' => 0,
                            'selected' => 0,
                        ),
                        32 => array(
                            'optionID' => 32,
                            'groupID' => 5,
                            'optionnameOrig' => '1,0 Liter',
                            'optionname' => '1,0 Liter',
                            'optionposition' => 3,
                            'optionactive' => 1,
                            'user_selected' => 0,
                            'selected' => 0,
                        ),
                        33 => array(
                            'optionID' => 33,
                            'groupID' => 5,
                            'optionnameOrig' => '1,5 Liter',
                            'optionname' => '1,5 Liter',
                            'optionposition' => 5,
                            'optionactive' => 1,
                            'user_selected' => 0,
                            'selected' => 0,
                        ),
                    ),
                    'user_selected' => false,
                ),
            ),
            'sConfiguratorSettings' => array(
                'articleID' => 122,
                'type' => 0,
                'template' => 'article_config_upprice.tpl',
                'instock' => false,
                'upprice' => 0,
            ),
            'image' => array(
                'src' => array(
                    'original' => 'http://dr.test.shopware.in/next/media/image/Sasse-Korn-02-l.jpg',
                    0 => 'http://dr.test.shopware.in/next/media/image/thumbnail/Sasse-Korn-02-l_30x30.jpg',
                    1 => 'http://dr.test.shopware.in/next/media/image/thumbnail/Sasse-Korn-02-l_57x57.jpg',
                    2 => 'http://dr.test.shopware.in/next/media/image/thumbnail/Sasse-Korn-02-l_105x105.jpg',
                    3 => 'http://dr.test.shopware.in/next/media/image/thumbnail/Sasse-Korn-02-l_140x140.jpg',
                    4 => 'http://dr.test.shopware.in/next/media/image/thumbnail/Sasse-Korn-02-l_285x255.jpg',
                    5 => 'http://dr.test.shopware.in/next/media/image/thumbnail/Sasse-Korn-02-l_720x600.jpg',
                ),
                'res' => array(
                    'original' => array('width' => 0, 'height' => 0,),
                    'description' => '',
                ),
                'position' => 1,
                'extension' => 'jpg',
                'main' => 1,
                'id' => 330,
                'parentId' => null,
                'attribute' => array(),
            ),
            'images' => array(),
            'linkBasket' => 'shopware.php?sViewport=basket&sAdd=SW10123.1',
            'linkDetails' => 'shopware.php?sViewport=detail&sArticle=122',
            'linkDetailsRewrited' => 'http://dr.test.shopware.in/next/genusswelten/edelbraende/122/sasse-korn-32',
            'linkNote' => 'shopware.php?sViewport=note&sAdd=SW10123.1',
            'linkTellAFriend' => 'shopware.php?sViewport=tellafriend&sDetails=122',
            'linkCheaper' => 'shopware.php?sViewport=cheaper&sDetails=122',
            'sDownloads' => array(),
            'sAccessories' => false,
            'sVoteAverage' => array('average' => '0.00', 'count' => '0',),
            'sVoteComments' => array(),
            'sProperties' => array(
                7 => array(
                    'id' => '7',
                    'optionID' => '7',
                    'name' => 'Trinktemperatur',
                    'groupID' => '1',
                    'groupName' => 'Edelbrände',
                    'value' => 'Gekühlt',
                    'valueID' => '35',
                    'nameTranslation' => null,
                    'groupNameTranslation' => null,
                    'valueTranslation' => null,
                    'values' => array(0 => 'Gekühlt',),
                ),
                6 => array(
                    'id' => '6',
                    'optionID' => '6',
                    'name' => 'Geschmack',
                    'groupID' => '1',
                    'groupName' => 'Edelbrände',
                    'value' => 'herb',
                    'valueID' => '32',
                    'nameTranslation' => null,
                    'groupNameTranslation' => null,
                    'valueTranslation' => null,
                    'values' => array(0 => 'herb',),
                ),
                4 => array(
                    'id' => '4',
                    'optionID' => '4',
                    'name' => 'Farbe',
                    'groupID' => '1',
                    'groupName' => 'Edelbrände',
                    'value' => 'klar',
                    'valueID' => '29',
                    'nameTranslation' => null,
                    'groupNameTranslation' => null,
                    'valueTranslation' => null,
                    'values' => array(0 => 'klar',),
                ),
                2 => array(
                    'id' => '2',
                    'optionID' => '2',
                    'name' => 'Flaschengröße',
                    'groupID' => '1',
                    'groupName' => 'Edelbrände',
                    'value' => '0,2 Liter, 0,7 Liter, 1,0 Liter, 1,5 Liter',
                    'valueID' => '22',
                    'nameTranslation' => null,
                    'groupNameTranslation' => null,
                    'valueTranslation' => null,
                    'values' => array(
                        0 => '0,2 Liter',
                        1 => '0,7 Liter',
                        2 => '1,0 Liter',
                        3 => '1,5 Liter',
                    ),
                ),
                1 => array(
                    'id' => '1',
                    'optionID' => '1',
                    'name' => 'Alkoholgehalt',
                    'groupID' => '1',
                    'groupName' => 'Edelbrände',
                    'value' => '>30%',
                    'valueID' => '40',
                    'nameTranslation' => null,
                    'groupNameTranslation' => null,
                    'valueTranslation' => null,
                    'values' => array(0 => '>30%',),
                ),
            ),
            'sNavigation' => null,
            'sDescriptionKeywords' => 'arx, edo, incomposite, cupio, subsidarius, Diffinio, Fervesco, quo, ut, Quidne, oro, sanctimonialis, vae, ferramentum, Promo, laqueus, Marcieniensis, quicumque, adula, per',
        )
        ,
        216 => array(
            'articleID' => '216',
            'articleDetailsID' => '761',
            'ordernumber' => 'SW10214.1',
            'datum' => '2012-08-29',
            'additionaltext' => '200ml',
            'shippingtime' => '',
            'shippingfree' => false,
            'instock' => '66',
            'minpurchase' => 1,
            'notification' => '0',
            'purchasesteps' => 1,
            'maxpurchase' => '100',
            'purchaseunit' => 200,
            'referenceunit' => 100,
            'packunit' => '',
            'suppliernumber' => '',
            'ean' => '',
            'weight' => '0.000',
            'laststock' => '0',
            'unitID' => null,
            'template' => '',
            'pricegroupID' => null,
            'pricegroupActive' => '0',
            'mode' => '0',
            'taxID' => '1',
            'description' => ' fuga Ingens res Ut no facultas, res post flagitiosa perspicuus in eveho lacrimabilis Namucense.',
            'keywords' => '',
            'supplierName' => 'stop the water while using me',
            'supplierImg' => 'media/image/stopthewater.png',
            'supplierID' => '15',
            'supplierDescription' => '',
            'articleName' => 'All Natural - Sesame Sage Bodylotion',
            'price' => '21,40',
            'sales' => '0',
            'pseudoprice' => '0',
            'pricegroup' => 'EK',
            'tax' => '19.00',
            'attr1' => '',
            'attr2' => '',
            'attr3' => '',
            'attr4' => '',
            'attr5' => '',
            'attr6' => '',
            'attr7' => '',
            'attr8' => '',
            'attr9' => '',
            'attr10' => '',
            'attr11' => '',
            'attr12' => '',
            'attr13' => '',
            'attr14' => '',
            'attr15' => '',
            'attr16' => '',
            'attr17' => null,
            'attr18' => '',
            'attr19' => '',
            'attr20' => '',
            'filtergroupID' => null,
            'crossbundlelook' => false,
            'sUpcoming' => '0',
            'sReleasedate' => '',
            'sLinks' => array(
                0 => array(
                    'id' => '137',
                    'description' => 'stop the water while using me',
                    'link' => 'http://stop-the-water-while-using-me.com',
                    'target' => '',
                    'supplierSearch' => false,
                ),
                1 => array(
                    'supplierSearch' => true,
                    'description' => 'stop the water while using me',
                    'link' => 'shopware.php?sViewport=search&sSearch=15&sSearchMode=supplier&sSearchText=stop+the+water+while+using+me',
                    'target' => '_parent',
                ),
            ),
            'sRelatedArticles' => array(),
            'sSimilarArticles' => array(),
            'esd' => false,
            'sBlockPrices' => array(),
            'sVariants' => array(),
            'referenceprice' => '10.70',
            'priceStartingFrom' => '21,40',
            'quantity' => 1,
            'active' => 1,
            'sConfiguratorValues' => array(),
            'sConfigurator' => array(
                0 => array(
                    'groupID' => 14,
                    'groupname' => 'Inhalt',
                    'groupnameOrig' => 'Inhalt',
                    'groupdescription' => null,
                    'groupdescriptionOrig' => null,
                    'groupimage' => '',
                    'postion' => 16,
                    'selected_value' => null,
                    'selected' => false,
                    'values' => array(
                        88 => array(
                            'optionID' => 88,
                            'groupID' => 14,
                            'optionnameOrig' => '200ml',
                            'optionname' => '200ml',
                            'optionposition' => 1,
                            'optionactive' => 1,
                            'user_selected' => 1,
                            'selected' => 1,
                        ),
                        89 => array(
                            'optionID' => 89,
                            'groupID' => 14,
                            'optionnameOrig' => '500ml',
                            'optionname' => '500ml',
                            'optionposition' => 2,
                            'optionactive' => 1,
                            'user_selected' => 0,
                            'selected' => 0,
                        ),
                        90 => array(
                            'optionID' => 90,
                            'groupID' => 14,
                            'optionnameOrig' => '5l',
                            'optionname' => '5l',
                            'optionposition' => 3,
                            'optionactive' => 1,
                            'user_selected' => 0,
                            'selected' => 0,
                        ),
                    ),
                    'user_selected' => false,
                ),
            ),
            'sConfiguratorSettings' => array(
                'articleID' => 216,
                'type' => 0,
                'template' => 'article_config_upprice.tpl',
                'instock' => false,
                'upprice' => 0,
            ),
            'image' => array(
                'src' => array(
                    'original' => 'http://dr.test.shopware.in/next/media/image/All-Natural-Sesame-Sage-Body-Lotion.jpg',
                    0 => 'http://dr.test.shopware.in/next/media/image/thumbnail/All-Natural-Sesame-Sage-Body-Lotion_30x30.jpg',
                    1 => 'http://dr.test.shopware.in/next/media/image/thumbnail/All-Natural-Sesame-Sage-Body-Lotion_57x57.jpg',
                    2 => 'http://dr.test.shopware.in/next/media/image/thumbnail/All-Natural-Sesame-Sage-Body-Lotion_105x105.jpg',
                    3 => 'http://dr.test.shopware.in/next/media/image/thumbnail/All-Natural-Sesame-Sage-Body-Lotion_140x140.jpg',
                    4 => 'http://dr.test.shopware.in/next/media/image/thumbnail/All-Natural-Sesame-Sage-Body-Lotion_285x255.jpg',
                    5 => 'http://dr.test.shopware.in/next/media/image/thumbnail/All-Natural-Sesame-Sage-Body-Lotion_720x600.jpg',
                ),
                'res' => array(
                    'original' => array('width' => 0, 'height' => 0,),
                    'description' => '',
                ),
                'position' => 1,
                'extension' => 'jpg',
                'main' => 1,
                'id' => 530,
                'parentId' => null,
                'attribute' => array(),
            ),
            'images' => array(
                0 => array(
                    'src' => array(
                        'original' => 'http://dr.test.shopware.in/next/media/image/All-Natural-Sesame-Sage-Body-Lotion-Hintergrund.jpg',
                        0 => 'http://dr.test.shopware.in/next/media/image/thumbnail/All-Natural-Sesame-Sage-Body-Lotion-Hintergrund_30x30.jpg',
                        1 => 'http://dr.test.shopware.in/next/media/image/thumbnail/All-Natural-Sesame-Sage-Body-Lotion-Hintergrund_57x57.jpg',
                        2 => 'http://dr.test.shopware.in/next/media/image/thumbnail/All-Natural-Sesame-Sage-Body-Lotion-Hintergrund_105x105.jpg',
                        3 => 'http://dr.test.shopware.in/next/media/image/thumbnail/All-Natural-Sesame-Sage-Body-Lotion-Hintergrund_140x140.jpg',
                        4 => 'http://dr.test.shopware.in/next/media/image/thumbnail/All-Natural-Sesame-Sage-Body-Lotion-Hintergrund_285x255.jpg',
                        5 => 'http://dr.test.shopware.in/next/media/image/thumbnail/All-Natural-Sesame-Sage-Body-Lotion-Hintergrund_720x600.jpg',
                    ),
                    'res' => array(
                        'original' => array('width' => 0, 'height' => 0,),
                        'description' => '',
                    ),
                    'position' => 2,
                    'extension' => 'jpg',
                    'main' => 2,
                    'id' => 531,
                    'parentId' => null,
                    'attribute' => array(),
                ),
            ),
            'linkBasket' => 'shopware.php?sViewport=basket&sAdd=SW10214.1',
            'linkDetails' => 'shopware.php?sViewport=detail&sArticle=216',
            'linkDetailsRewrited' => 'http://dr.test.shopware.in/next/sommerwelten/beauty-und-care/216/all-natural-sesame-sage-bodylotion',
            'linkNote' => 'shopware.php?sViewport=note&sAdd=SW10214.1',
            'linkTellAFriend' => 'shopware.php?sViewport=tellafriend&sDetails=216',
            'linkCheaper' => 'shopware.php?sViewport=cheaper&sDetails=216',
            'sDownloads' => array(),
            'sAccessories' => false,
            'sVoteAverage' => array('average' => '0.00', 'count' => '0',),
            'sVoteComments' => array(),
            'sNavigation' => null,
            'sDescriptionKeywords' => 'res, dux, pars, Nos, arx, Alternis, eniteo, Subnoto, qualiscumque, appositus, instigatus, vas, inhumanitas, iam, Charybdis, sano, industrius, perspicuus, flagitiosa, eveho',
        )
    );

    protected $articleProperties = array(
        'articleID',
        'articleDetailsID',
        'additionaltext',
        'shippingtime',
        'shippingfree',
        'weight',
        'ean',
        'packunit',
        'supplierName',
        'purchasesteps',
        'purchaseunit',
        'referenceunit',
        'referenceprice',
        'articleName',
        'pricegroup',
        'price',
        'taxID',
        'unitID',
        'supplierImg',
        'tax'
    );

    /**
     * Module instance
     *
     * @var sArticles
     */
    protected $module;

    /**
     * Test set up method
     */
    public function setUp()
    {
        parent::setUp();
        $this->module = Shopware()->Modules()->Articles();
    }

    /**
     * Retrieve module instance
     *
     * @return sArticles
     */
    public function Module()
    {
        return $this->module;
    }

    public function testArticles() {
        Shopware()->Container()->get('shopware_storefront.context_service')->initializeProductContext();
        $this->dispatch("/");

        foreach($this->articles as $id => $expected) {
            $data = $this->Module()->sGetArticleById($id);

            $this->assertArticleData($expected, $data);
            $this->assertLinks($expected, $data);
            $this->assertRelated($expected, $data);
        }
    }

    public function testGetDisabledArticleById() {
        $this->dispatch("/");

        $id = $this->articles[2]['articleID'];

        Shopware()->Db()->query('UPDATE s_articles SET active = 0 WHERE id = ?', array($id));

        $this->assertCount(0, $this->Module()->sGetArticleById($id));

        Shopware()->Db()->query('UPDATE s_articles SET active = 1 WHERE id = ?', array($id));

        $this->assertGreaterThan(0, count($this->Module()->sGetArticleById($id)));
    }

    private function assertArticleData($expected, $data) {
        $mediaService = Shopware()->Container()->get('shopware_media.media_service');
        foreach($this->articleProperties as $property) {

            if ($property === 'supplierImg') {
                $expected[$property] = $mediaService->getUrl($expected[$property]);
            }

            $this->assertEquals(
                $expected[$property],
                $data[$property],
                sprintf("Property %s dont match for article : %s - %s", $property, $expected['ordernumber'], $expected['articleName'])
            );
        }
    }

    private function assertLinks($expected, $data)
    {
        $this->assertCount(
            count($expected['sLinks']),
            $data['sLinks'],
            sprintf("Link count doesn't match for article : %s - %s", $expected['ordernumber'], $expected['articleName'])
        );
    }

    private function assertRelated($expected, $data)
    {
        $this->assertCount(count($expected['sRelatedArticles']), $data['sRelatedArticles']);
        $mediaService = Shopware()->Container()->get('shopware_media.media_service');

        for($i=0; $i < count($expected['sRelatedArticles']); $i++) {

            $expectedArticle = $expected['sRelatedArticles'][$i];

            if (isset($expectedArticle['supplierImg'])) {
                $expectedArticle['supplierImg'] = $mediaService->getUrl($expectedArticle['supplierImg']);
            }

            $gotArticle = $data['sRelatedArticles'][$i];

            foreach($this->articleProperties as $property) {
                if (!array_key_exists($property, $expectedArticle)) {
                    continue;
                }

                $this->assertEquals(
                    $expectedArticle[$property],
                    $gotArticle[$property],
                    sprintf("sRelatedArticles property %s doesn't match for article %s - %s", $property, $expected['ordernumber'], $expected['articleName'])
                );
            }
        }
    }

}
